Loading...
Searching...
No Matches
DRTStructureSetIOD Class Reference

Interface class for RTStructureSetIOD. More...

Inheritance diagram for DRTStructureSetIOD:

## Public Member Functions

| DRTStructureSetIOD ()
| default constructor
| DRTStructureSetIOD (const DRTStructureSetIOD &copy)
| copy constructor
virtual | ~DRTStructureSetIOD ()
| destructor
DRTStructureSetIOD & | operator= (const DRTStructureSetIOD &copy)
| assignment operator
virtual void | clear ()
| clear all internal member variables
virtual OFBool | isValid ()
| check whether the current internal state is valid
virtual OFCondition | read (DcmItem &dataset)
| read object from dataset
virtual OFCondition | readPatientData (DcmItem &dataset)
| read PatientData from dataset
virtual OFCondition | readStudyData (DcmItem &dataset)
| read StudyData from dataset.
virtual OFCondition | readSeriesData (DcmItem &dataset)
| read SeriesData from dataset.
virtual OFCondition | write (DcmItem &dataset)
| write object to dataset
virtual OFBool | isClinicalTrialSubjectModulePresent (const OFBool complete=OFFalse)
| check whether ClinicalTrialSubjectModule (U) is present.
virtual OFBool | isPatientStudyModulePresent (const OFBool complete=OFFalse)
| check whether PatientStudyModule (U) is present.
virtual OFBool | isClinicalTrialStudyModulePresent (const OFBool complete=OFFalse)
| check whether ClinicalTrialStudyModule (U) is present.
virtual OFBool | isClinicalTrialSeriesModulePresent (const OFBool complete=OFFalse)
| check whether ClinicalTrialSeriesModule (U) is present.
virtual OFBool | isFrameOfReferenceModulePresent (const OFBool complete=OFFalse)
| check whether FrameOfReferenceModule (U) is present.
virtual OFBool | isApprovalModulePresent (const OFBool complete=OFFalse)
| check whether ApprovalModule (U) is present.
virtual OFBool | isGeneralReferenceModulePresent (const OFBool complete=OFFalse)
| check whether GeneralReferenceModule (U) is present.
virtual OFBool | isCommonInstanceReferenceModulePresent (const OFBool complete=OFFalse)
| check whether CommonInstanceReferenceModule (U) is present.
virtual OFCondition | getAccessionNumber (OFString &value, const signed long pos=0) const
| get AccessionNumber (0008,0050)
virtual OFCondition | getAdditionalPatientHistory (OFString &value, const signed long pos=0) const
| get AdditionalPatientHistory (0010,21b0)
virtual OFCondition | getAdmissionID (OFString &value, const signed long pos=0) const
| get AdmissionID (0038,0010)
virtual OFCondition | getAdmittingDiagnosesDescription (OFString &value, const signed long pos=0) const
| get AdmittingDiagnosesDescription (0008,1080)
virtual OFCondition | getAllergies (OFString &value, const signed long pos=0) const
| get Allergies (0010,2110)
virtual OFCondition | getApprovalStatus (OFString &value, const signed long pos=0) const
| get ApprovalStatus (300e,0002)
virtual OFCondition | getAuthorizationEquipmentCertificationNumber (OFString &value, const signed long pos=0) const
| get AuthorizationEquipmentCertificationNumber (0100,0426)
virtual OFCondition | getBarcodeValue (OFString &value, const signed long pos=0) const
| get BarcodeValue (2200,0005)
virtual OFCondition | getClinicalTrialCoordinatingCenterName (OFString &value, const signed long pos=0) const
| get ClinicalTrialCoordinatingCenterName (0012,0060)
virtual OFCondition | getClinicalTrialProtocolEthicsCommitteeApprovalNumber (OFString &value, const signed long pos=0) const
| get ClinicalTrialProtocolEthicsCommitteeApprovalNumber (0012,0082)
virtual OFCondition | getClinicalTrialProtocolEthicsCommitteeName (OFString &value, const signed long pos=0) const
| get ClinicalTrialProtocolEthicsCommitteeName (0012,0081)
virtual OFCondition | getClinicalTrialProtocolID (OFString &value, const signed long pos=0) const
| get ClinicalTrialProtocolID (0012,0020)
virtual OFCondition | getClinicalTrialProtocolName (OFString &value, const signed long pos=0) const
| get ClinicalTrialProtocolName (0012,0021)
virtual OFCondition | getClinicalTrialSeriesDescription (OFString &value, const signed long pos=0) const
| get ClinicalTrialSeriesDescription (0012,0072)
virtual OFCondition | getClinicalTrialSeriesID (OFString &value, const signed long pos=0) const
| get ClinicalTrialSeriesID (0012,0071)
virtual OFCondition | getClinicalTrialSiteID (OFString &value, const signed long pos=0) const
| get ClinicalTrialSiteID (0012,0030)
virtual OFCondition | getClinicalTrialSiteName (OFString &value, const signed long pos=0) const
| get ClinicalTrialSiteName (0012,0031)
virtual OFCondition | getClinicalTrialSponsorName (OFString &value, const signed long pos=0) const
| get ClinicalTrialSponsorName (0012,0010)
virtual OFCondition | getClinicalTrialSubjectID (OFString &value, const signed long pos=0) const
| get ClinicalTrialSubjectID (0012,0040)
virtual OFCondition | getClinicalTrialSubjectReadingID (OFString &value, const signed long pos=0) const
| get ClinicalTrialSubjectReadingID (0012,0042)
virtual OFCondition | getClinicalTrialTimePointDescription (OFString &value, const signed long pos=0) const
| get ClinicalTrialTimePointDescription (0012,0051)
virtual OFCondition | getClinicalTrialTimePointID (OFString &value, const signed long pos=0) const
| get ClinicalTrialTimePointID (0012,0050)
virtual OFCondition | getCommentsOnThePerformedProcedureStep (OFString &value, const signed long pos=0) const
| get CommentsOnThePerformedProcedureStep (0040,0280)
virtual OFCondition | getConsultingPhysicianName (OFString &value, const signed long pos=0) const
| get ConsultingPhysicianName (0008,009c)
virtual OFCondition | getContentQualification (OFString &value, const signed long pos=0) const
| get ContentQualification (0018,9004)
virtual OFCondition | getDateOfLastCalibration (OFString &value, const signed long pos=0) const
| get DateOfLastCalibration (0018,1200)
virtual OFCondition | getDeidentificationMethod (OFString &value, const signed long pos=0) const
| get DeidentificationMethod (0012,0063)
virtual OFCondition | getDerivationDescription (OFString &value, const signed long pos=0) const
| get DerivationDescription (0008,2111)
virtual OFCondition | getDeviceSerialNumber (OFString &value, const signed long pos=0) const
| get DeviceSerialNumber (0018,1000)
virtual OFCondition | getDeviceUID (OFString &value, const signed long pos=0) const
| get DeviceUID (0018,1002)
virtual OFCondition | getEthnicGroup (OFString &value, const signed long pos=0) const
| get EthnicGroup (0010,2160)
virtual OFCondition | getFrameOfReferenceUID (OFString &value, const signed long pos=0) const
| get FrameOfReferenceUID (0020,0052)
virtual OFCondition | getGantryID (OFString &value, const signed long pos=0) const
| get GantryID (0018,1008)
virtual OFCondition | getInstanceCoercionDateTime (OFString &value, const signed long pos=0) const
| get InstanceCoercionDateTime (0008,0015)
virtual OFCondition | getInstanceCreationDate (OFString &value, const signed long pos=0) const
| get InstanceCreationDate (0008,0012)
virtual OFCondition | getInstanceCreationTime (OFString &value, const signed long pos=0) const
| get InstanceCreationTime (0008,0013)
virtual OFCondition | getInstanceCreatorUID (OFString &value, const signed long pos=0) const
| get InstanceCreatorUID (0008,0014)
virtual OFCondition | getInstanceNumber (OFString &value, const signed long pos=0) const
| get InstanceNumber (0020,0013)
virtual OFCondition | getInstanceNumber (Sint32 &value, const unsigned long pos=0) const
| get InstanceNumber (0020,0013)
virtual OFCondition | getInstanceOriginStatus (OFString &value, const signed long pos=0) const
| get InstanceOriginStatus (0400,0600)
virtual OFCondition | getInstitutionAddress (OFString &value, const signed long pos=0) const
| get InstitutionAddress (0008,0081)
virtual OFCondition | getInstitutionName (OFString &value, const signed long pos=0) const
| get InstitutionName (0008,0080)
virtual OFCondition | getInstitutionalDepartmentName (OFString &value, const signed long pos=0) const
| get InstitutionalDepartmentName (0008,1040)
virtual OFCondition | getIssuerOfPatientID (OFString &value, const signed long pos=0) const
| get IssuerOfPatientID (0010,0021)
virtual OFCondition | getLastMenstrualDate (OFString &value, const signed long pos=0) const
| get LastMenstrualDate (0010,21d0)
virtual OFCondition | getLongitudinalTemporalEventType (OFString &value, const signed long pos=0) const
| get LongitudinalTemporalEventType (0012,0053)
virtual OFCondition | getLongitudinalTemporalInformationModified (OFString &value, const signed long pos=0) const
| get LongitudinalTemporalInformationModified (0028,0303)
virtual OFCondition | getLongitudinalTemporalOffsetFromEvent (Float64 &value, const unsigned long pos=0) const
| get LongitudinalTemporalOffsetFromEvent (0012,0052)
virtual OFCondition | getManufacturer (OFString &value, const signed long pos=0) const
| get Manufacturer (0008,0070)
virtual OFCondition | getManufacturerDeviceClassUID (OFString &value, const signed long pos=0) const
| get ManufacturerDeviceClassUID (0018,100b)
virtual OFCondition | getManufacturerModelName (OFString &value, const signed long pos=0) const
| get ManufacturerModelName (0008,1090)
virtual OFCondition | getMeasuredAPDimension (OFString &value, const signed long pos=0) const
| get MeasuredAPDimension (0010,1023)
virtual OFCondition | getMeasuredAPDimension (Float64 &value, const unsigned long pos=0) const
| get MeasuredAPDimension (0010,1023)
virtual OFCondition | getMeasuredLateralDimension (OFString &value, const signed long pos=0) const
| get MeasuredLateralDimension (0010,1024)
virtual OFCondition | getMeasuredLateralDimension (Float64 &value, const unsigned long pos=0) const
| get MeasuredLateralDimension (0010,1024)
virtual OFCondition | getMedicalAlerts (OFString &value, const signed long pos=0) const
| get MedicalAlerts (0010,2000)
virtual OFCondition | getModality (OFString &value, const signed long pos=0) const
| get Modality (0008,0060)
virtual OFCondition | getNameOfPhysiciansReadingStudy (OFString &value, const signed long pos=0) const
| get NameOfPhysiciansReadingStudy (0008,1060)
virtual OFCondition | getOccupation (OFString &value, const signed long pos=0) const
| get Occupation (0010,2180)
virtual OFCondition | getOperatorsName (OFString &value, const signed long pos=0) const
| get OperatorsName (0008,1070)
virtual OFCondition | getOriginalSpecializedSOPClassUID (OFString &value, const signed long pos=0) const
| get OriginalSpecializedSOPClassUID (0008,001b)
virtual OFCondition | getOtherPatientNames (OFString &value, const signed long pos=0) const
| get OtherPatientNames (0010,1001)
virtual OFCondition | getPatientAge (OFString &value, const signed long pos=0) const
| get PatientAge (0010,1010)
virtual OFCondition | getPatientAlternativeCalendar (OFString &value, const signed long pos=0) const
| get PatientAlternativeCalendar (0010,0035)
virtual OFCondition | getPatientBirthDate (OFString &value, const signed long pos=0) const
| get PatientBirthDate (0010,0030)
virtual OFCondition | getPatientBirthDateInAlternativeCalendar (OFString &value, const signed long pos=0) const
| get PatientBirthDateInAlternativeCalendar (0010,0033)
virtual OFCondition | getPatientBirthTime (OFString &value, const signed long pos=0) const
| get PatientBirthTime (0010,0032)
virtual OFCondition | getPatientBodyMassIndex (OFString &value, const signed long pos=0) const
| get PatientBodyMassIndex (0010,1022)
virtual OFCondition | getPatientBodyMassIndex (Float64 &value, const unsigned long pos=0) const
| get PatientBodyMassIndex (0010,1022)
virtual OFCondition | getPatientBreedDescription (OFString &value, const signed long pos=0) const
| get PatientBreedDescription (0010,2292)
virtual OFCondition | getPatientComments (OFString &value, const signed long pos=0) const
| get PatientComments (0010,4000)
virtual OFCondition | getPatientDeathDateInAlternativeCalendar (OFString &value, const signed long pos=0) const
| get PatientDeathDateInAlternativeCalendar (0010,0034)
virtual OFCondition | getPatientID (OFString &value, const signed long pos=0) const
| get PatientID (0010,0020)
virtual OFCondition | getPatientIdentityRemoved (OFString &value, const signed long pos=0) const
| get PatientIdentityRemoved (0012,0062)
virtual OFCondition | getPatientName (OFString &value, const signed long pos=0) const
| get PatientName (0010,0010)
virtual OFCondition | getPatientSex (OFString &value, const signed long pos=0) const
| get PatientSex (0010,0040)
virtual OFCondition | getPatientSexNeutered (OFString &value, const signed long pos=0) const
| get PatientSexNeutered (0010,2203)
virtual OFCondition | getPatientSize (OFString &value, const signed long pos=0) const
| get PatientSize (0010,1020)
virtual OFCondition | getPatientSize (Float64 &value, const unsigned long pos=0) const
| get PatientSize (0010,1020)
virtual OFCondition | getPatientSpeciesDescription (OFString &value, const signed long pos=0) const
| get PatientSpeciesDescription (0010,2201)
virtual OFCondition | getPatientState (OFString &value, const signed long pos=0) const
| get PatientState (0038,0500)
virtual OFCondition | getPatientWeight (OFString &value, const signed long pos=0) const
| get PatientWeight (0010,1030)
virtual OFCondition | getPatientWeight (Float64 &value, const unsigned long pos=0) const
| get PatientWeight (0010,1030)
virtual OFCondition | getPerformedProcedureStepDescription (OFString &value, const signed long pos=0) const
| get PerformedProcedureStepDescription (0040,0254)
virtual OFCondition | getPerformedProcedureStepEndDate (OFString &value, const signed long pos=0) const
| get PerformedProcedureStepEndDate (0040,0250)
virtual OFCondition | getPerformedProcedureStepEndTime (OFString &value, const signed long pos=0) const
| get PerformedProcedureStepEndTime (0040,0251)
virtual OFCondition | getPerformedProcedureStepID (OFString &value, const signed long pos=0) const
| get PerformedProcedureStepID (0040,0253)
virtual OFCondition | getPerformedProcedureStepStartDate (OFString &value, const signed long pos=0) const
| get PerformedProcedureStepStartDate (0040,0244)
virtual OFCondition | getPerformedProcedureStepStartTime (OFString &value, const signed long pos=0) const
| get PerformedProcedureStepStartTime (0040,0245)
virtual OFCondition | getPhysiciansOfRecord (OFString &value, const signed long pos=0) const
| get PhysiciansOfRecord (0008,1048)
virtual OFCondition | getPixelPaddingValue (Uint16 &value, const unsigned long pos=0) const
| get PixelPaddingValue (0028,0120)
virtual OFCondition | getPositionReferenceIndicator (OFString &value, const signed long pos=0) const
| get PositionReferenceIndicator (0020,1040)
virtual OFCondition | getPregnancyStatus (Uint16 &value, const unsigned long pos=0) const
| get PregnancyStatus (0010,21c0)
virtual OFCondition | getQualityControlSubject (OFString &value, const signed long pos=0) const
| get QualityControlSubject (0010,0200)
virtual OFCondition | getQueryRetrieveView (OFString &value, const signed long pos=0) const
| get QueryRetrieveView (0008,0053)
virtual OFCondition | getReasonForVisit (OFString &value, const signed long pos=0) const
| get ReasonForVisit (0032,1066)
virtual OFCondition | getReferringPhysicianName (OFString &value, const signed long pos=0) const
| get ReferringPhysicianName (0008,0090)
virtual OFCondition | getRelatedGeneralSOPClassUID (OFString &value, const signed long pos=0) const
| get RelatedGeneralSOPClassUID (0008,001a)
virtual OFCondition | getRequestingService (OFString &value, const signed long pos=0) const
| get RequestingService (0032,1033)
virtual OFCondition | getResponsibleOrganization (OFString &value, const signed long pos=0) const
| get ResponsibleOrganization (0010,2299)
virtual OFCondition | getResponsiblePerson (OFString &value, const signed long pos=0) const
| get ResponsiblePerson (0010,2297)
virtual OFCondition | getResponsiblePersonRole (OFString &value, const signed long pos=0) const
| get ResponsiblePersonRole (0010,2298)
virtual OFCondition | getReviewDate (OFString &value, const signed long pos=0) const
| get ReviewDate (300e,0004)
virtual OFCondition | getReviewTime (OFString &value, const signed long pos=0) const
| get ReviewTime (300e,0005)
virtual OFCondition | getReviewerName (OFString &value, const signed long pos=0) const
| get ReviewerName (300e,0008)
virtual OFCondition | getSOPAuthorizationComment (OFString &value, const signed long pos=0) const
| get SOPAuthorizationComment (0100,0424)
virtual OFCondition | getSOPAuthorizationDateTime (OFString &value, const signed long pos=0) const
| get SOPAuthorizationDateTime (0100,0420)
virtual OFCondition | getSOPClassUID (OFString &value, const signed long pos=0) const
| get SOPClassUID (0008,0016)
virtual OFCondition | getSOPInstanceStatus (OFString &value, const signed long pos=0) const
| get SOPInstanceStatus (0100,0410)
virtual OFCondition | getSOPInstanceUID (OFString &value, const signed long pos=0) const
| get SOPInstanceUID (0008,0018)
virtual OFCondition | getSeriesDate (OFString &value, const signed long pos=0) const
| get SeriesDate (0008,0021)
virtual OFCondition | getSeriesDescription (OFString &value, const signed long pos=0) const
| get SeriesDescription (0008,103e)
virtual OFCondition | getSeriesInstanceUID (OFString &value, const signed long pos=0) const
| get SeriesInstanceUID (0020,000e)
virtual OFCondition | getSeriesNumber (OFString &value, const signed long pos=0) const
| get SeriesNumber (0020,0011)
virtual OFCondition | getSeriesNumber (Sint32 &value, const unsigned long pos=0) const
| get SeriesNumber (0020,0011)
virtual OFCondition | getSeriesTime (OFString &value, const signed long pos=0) const
| get SeriesTime (0008,0031)
virtual OFCondition | getServiceEpisodeDescription (OFString &value, const signed long pos=0) const
| get ServiceEpisodeDescription (0038,0062)
virtual OFCondition | getServiceEpisodeID (OFString &value, const signed long pos=0) const
| get ServiceEpisodeID (0038,0060)
virtual OFCondition | getSmokingStatus (OFString &value, const signed long pos=0) const
| get SmokingStatus (0010,21a0)
virtual OFCondition | getSoftwareVersions (OFString &value, const signed long pos=0) const
| get SoftwareVersions (0018,1020)
virtual OFCondition | getSpatialResolution (OFString &value, const signed long pos=0) const
| get SpatialResolution (0018,1050)
virtual OFCondition | getSpatialResolution (Float64 &value, const unsigned long pos=0) const
| get SpatialResolution (0018,1050)
virtual OFCondition | getSpecificCharacterSet (OFString &value, const signed long pos=0) const
| get SpecificCharacterSet (0008,0005)
virtual OFCondition | getStationName (OFString &value, const signed long pos=0) const
| get StationName (0008,1010)
virtual OFCondition | getStrainAdditionalInformation (OFString &value, const signed long pos=0) const
| get StrainAdditionalInformation (0010,0218)
virtual OFCondition | getStrainDescription (OFString &value, const signed long pos=0) const
| get StrainDescription (0010,0212)
virtual OFCondition | getStrainNomenclature (OFString &value, const signed long pos=0) const
| get StrainNomenclature (0010,0213)
virtual OFCondition | getStructureSetDate (OFString &value, const signed long pos=0) const
| get StructureSetDate (3006,0008)
virtual OFCondition | getStructureSetDescription (OFString &value, const signed long pos=0) const
| get StructureSetDescription (3006,0006)
virtual OFCondition | getStructureSetLabel (OFString &value, const signed long pos=0) const
| get StructureSetLabel (3006,0002)
virtual OFCondition | getStructureSetName (OFString &value, const signed long pos=0) const
| get StructureSetName (3006,0004)
virtual OFCondition | getStructureSetTime (OFString &value, const signed long pos=0) const
| get StructureSetTime (3006,0009)
virtual OFCondition | getStudyDate (OFString &value, const signed long pos=0) const
| get StudyDate (0008,0020)
virtual OFCondition | getStudyDescription (OFString &value, const signed long pos=0) const
| get StudyDescription (0008,1030)
virtual OFCondition | getStudyID (OFString &value, const signed long pos=0) const
| get StudyID (0020,0010)
virtual OFCondition | getStudyInstanceUID (OFString &value, const signed long pos=0) const
| get StudyInstanceUID (0020,000d)
virtual OFCondition | getStudyTime (OFString &value, const signed long pos=0) const
| get StudyTime (0008,0030)
virtual OFCondition | getTimeOfLastCalibration (OFString &value, const signed long pos=0) const
| get TimeOfLastCalibration (0018,1201)
virtual OFCondition | getTimezoneOffsetFromUTC (OFString &value, const signed long pos=0) const
| get TimezoneOffsetFromUTC (0008,0201)
virtual OFCondition | getTreatmentSessionUID (OFString &value, const signed long pos=0) const
| get TreatmentSessionUID (300a,0700)
virtual OFCondition | getTypeOfPatientID (OFString &value, const signed long pos=0) const
| get TypeOfPatientID (0010,0022)
DRTAdmittingDiagnosesCodeSequence & | getAdmittingDiagnosesCodeSequence ()
| get AdmittingDiagnosesCodeSequence (0008,1084)
const DRTAdmittingDiagnosesCodeSequence & | getAdmittingDiagnosesCodeSequence () const
| get AdmittingDiagnosesCodeSequence (0008,1084)
DRTBreedRegistrationSequence & | getBreedRegistrationSequence ()
| get BreedRegistrationSequence (0010,2294)
const DRTBreedRegistrationSequence & | getBreedRegistrationSequence () const
| get BreedRegistrationSequence (0010,2294)
DRTClinicalTrialTimePointTypeCodeSequence & | getClinicalTrialTimePointTypeCodeSequence ()
| get ClinicalTrialTimePointTypeCodeSequence (0012,0054)
const DRTClinicalTrialTimePointTypeCodeSequence & | getClinicalTrialTimePointTypeCodeSequence () const
| get ClinicalTrialTimePointTypeCodeSequence (0012,0054)
DRTCodingSchemeIdentificationSequence & | getCodingSchemeIdentificationSequence ()
| get CodingSchemeIdentificationSequence (0008,0110)
const DRTCodingSchemeIdentificationSequence & | getCodingSchemeIdentificationSequence () const
| get CodingSchemeIdentificationSequence (0008,0110)
DRTConsentForClinicalTrialUseSequence & | getConsentForClinicalTrialUseSequence ()
| get ConsentForClinicalTrialUseSequence (0012,0083)
const DRTConsentForClinicalTrialUseSequence & | getConsentForClinicalTrialUseSequence () const
| get ConsentForClinicalTrialUseSequence (0012,0083)
DRTConsultingPhysicianIdentificationSequence & | getConsultingPhysicianIdentificationSequence ()
| get ConsultingPhysicianIdentificationSequence (0008,009d)
const DRTConsultingPhysicianIdentificationSequence & | getConsultingPhysicianIdentificationSequence () const
| get ConsultingPhysicianIdentificationSequence (0008,009d)
DRTContextGroupIdentificationSequence & | getContextGroupIdentificationSequence ()
| get ContextGroupIdentificationSequence (0008,0123)
const DRTContextGroupIdentificationSequence & | getContextGroupIdentificationSequence () const
| get ContextGroupIdentificationSequence (0008,0123)
DRTContributingEquipmentSequence & | getContributingEquipmentSequence ()
| get ContributingEquipmentSequence (0018,a001)
const DRTContributingEquipmentSequence & | getContributingEquipmentSequence () const
| get ContributingEquipmentSequence (0018,a001)
DRTConversionSourceAttributesSequence & | getConversionSourceAttributesSequence ()
| get ConversionSourceAttributesSequence (0020,9172)
const DRTConversionSourceAttributesSequence & | getConversionSourceAttributesSequence () const
| get ConversionSourceAttributesSequence (0020,9172)
DRTDeidentificationMethodCodeSequence & | getDeidentificationMethodCodeSequence ()
| get DeidentificationMethodCodeSequence (0012,0064)
const DRTDeidentificationMethodCodeSequence & | getDeidentificationMethodCodeSequence () const
| get DeidentificationMethodCodeSequence (0012,0064)
DRTDerivationCodeSequence & | getDerivationCodeSequence ()
| get DerivationCodeSequence (0008,9215)
const DRTDerivationCodeSequence & | getDerivationCodeSequence () const
| get DerivationCodeSequence (0008,9215)
DRTDigitalSignaturesSequence & | getDigitalSignaturesSequence ()
| get DigitalSignaturesSequence (fffa,fffa)
const DRTDigitalSignaturesSequence & | getDigitalSignaturesSequence () const
| get DigitalSignaturesSequence (fffa,fffa)
DRTEncryptedAttributesSequence & | getEncryptedAttributesSequence ()
| get EncryptedAttributesSequence (0400,0500)
const DRTEncryptedAttributesSequence & | getEncryptedAttributesSequence () const
| get EncryptedAttributesSequence (0400,0500)
DRTGeneticModificationsSequence & | getGeneticModificationsSequence ()
| get GeneticModificationsSequence (0010,0221)
const DRTGeneticModificationsSequence & | getGeneticModificationsSequence () const
| get GeneticModificationsSequence (0010,0221)
DRTGroupOfPatientsIdentificationSequence & | getGroupOfPatientsIdentificationSequence ()
| get GroupOfPatientsIdentificationSequence (0010,0027)
const DRTGroupOfPatientsIdentificationSequence & | getGroupOfPatientsIdentificationSequence () const
| get GroupOfPatientsIdentificationSequence (0010,0027)
DRTHL7StructuredDocumentReferenceSequence & | getHL7StructuredDocumentReferenceSequence ()
| get HL7StructuredDocumentReferenceSequence (0040,a390)
const DRTHL7StructuredDocumentReferenceSequence & | getHL7StructuredDocumentReferenceSequence () const
| get HL7StructuredDocumentReferenceSequence (0040,a390)
DRTInstitutionalDepartmentTypeCodeSequence & | getInstitutionalDepartmentTypeCodeSequence ()
| get InstitutionalDepartmentTypeCodeSequence (0008,1041)
const DRTInstitutionalDepartmentTypeCodeSequence & | getInstitutionalDepartmentTypeCodeSequence () const
| get InstitutionalDepartmentTypeCodeSequence (0008,1041)
DRTIssuerOfAccessionNumberSequence & | getIssuerOfAccessionNumberSequence ()
| get IssuerOfAccessionNumberSequence (0008,0051)
const DRTIssuerOfAccessionNumberSequence & | getIssuerOfAccessionNumberSequence () const
| get IssuerOfAccessionNumberSequence (0008,0051)
DRTIssuerOfAdmissionIDSequence & | getIssuerOfAdmissionIDSequence ()
| get IssuerOfAdmissionIDSequence (0038,0014)
const DRTIssuerOfAdmissionIDSequence & | getIssuerOfAdmissionIDSequence () const
| get IssuerOfAdmissionIDSequence (0038,0014)
DRTIssuerOfPatientIDQualifiersSequence & | getIssuerOfPatientIDQualifiersSequence ()
| get IssuerOfPatientIDQualifiersSequence (0010,0024)
const DRTIssuerOfPatientIDQualifiersSequence & | getIssuerOfPatientIDQualifiersSequence () const
| get IssuerOfPatientIDQualifiersSequence (0010,0024)
DRTIssuerOfServiceEpisodeIDSequence & | getIssuerOfServiceEpisodeIDSequence ()
| get IssuerOfServiceEpisodeIDSequence (0038,0064)
const DRTIssuerOfServiceEpisodeIDSequence & | getIssuerOfServiceEpisodeIDSequence () const
| get IssuerOfServiceEpisodeIDSequence (0038,0064)
DRTMACParametersSequence & | getMACParametersSequence ()
| get MACParametersSequence (4ffe,0001)
const DRTMACParametersSequence & | getMACParametersSequence () const
| get MACParametersSequence (4ffe,0001)
DRTMappingResourceIdentificationSequence & | getMappingResourceIdentificationSequence ()
| get MappingResourceIdentificationSequence (0008,0124)
const DRTMappingResourceIdentificationSequence & | getMappingResourceIdentificationSequence () const
| get MappingResourceIdentificationSequence (0008,0124)
DRTOperatorIdentificationSequence & | getOperatorIdentificationSequence ()
| get OperatorIdentificationSequence (0008,1072)
const DRTOperatorIdentificationSequence & | getOperatorIdentificationSequence () const
| get OperatorIdentificationSequence (0008,1072)
DRTOriginalAttributesSequence & | getOriginalAttributesSequence ()
| get OriginalAttributesSequence (0400,0561)
const DRTOriginalAttributesSequence & | getOriginalAttributesSequence () const
| get OriginalAttributesSequence (0400,0561)
DRTOtherPatientIDsSequence & | getOtherPatientIDsSequence ()
| get OtherPatientIDsSequence (0010,1002)
const DRTOtherPatientIDsSequence & | getOtherPatientIDsSequence () const
| get OtherPatientIDsSequence (0010,1002)
DRTPatientBreedCodeSequence & | getPatientBreedCodeSequence ()
| get PatientBreedCodeSequence (0010,2293)
const DRTPatientBreedCodeSequence & | getPatientBreedCodeSequence () const
| get PatientBreedCodeSequence (0010,2293)
DRTPatientSizeCodeSequence & | getPatientSizeCodeSequence ()
| get PatientSizeCodeSequence (0010,1021)
const DRTPatientSizeCodeSequence & | getPatientSizeCodeSequence () const
| get PatientSizeCodeSequence (0010,1021)
DRTPatientSpeciesCodeSequence & | getPatientSpeciesCodeSequence ()
| get PatientSpeciesCodeSequence (0010,2202)
const DRTPatientSpeciesCodeSequence & | getPatientSpeciesCodeSequence () const
| get PatientSpeciesCodeSequence (0010,2202)
DRTPerformedProtocolCodeSequence & | getPerformedProtocolCodeSequence ()
| get PerformedProtocolCodeSequence (0040,0260)
const DRTPerformedProtocolCodeSequence & | getPerformedProtocolCodeSequence () const
| get PerformedProtocolCodeSequence (0040,0260)
DRTPhysiciansOfRecordIdentificationSequence & | getPhysiciansOfRecordIdentificationSequence ()
| get PhysiciansOfRecordIdentificationSequence (0008,1049)
const DRTPhysiciansOfRecordIdentificationSequence & | getPhysiciansOfRecordIdentificationSequence () const
| get PhysiciansOfRecordIdentificationSequence (0008,1049)
DRTPhysiciansReadingStudyIdentificationSequence & | getPhysiciansReadingStudyIdentificationSequence ()
| get PhysiciansReadingStudyIdentificationSequence (0008,1062)
const DRTPhysiciansReadingStudyIdentificationSequence & | getPhysiciansReadingStudyIdentificationSequence () const
| get PhysiciansReadingStudyIdentificationSequence (0008,1062)
DRTPredecessorStructureSetSequence & | getPredecessorStructureSetSequence ()
| get PredecessorStructureSetSequence (3006,0018)
const DRTPredecessorStructureSetSequence & | getPredecessorStructureSetSequence () const
| get PredecessorStructureSetSequence (3006,0018)
DRTPrivateDataElementCharacteristicsSequence & | getPrivateDataElementCharacteristicsSequence ()
| get PrivateDataElementCharacteristicsSequence (0008,0300)
const DRTPrivateDataElementCharacteristicsSequence & | getPrivateDataElementCharacteristicsSequence () const
| get PrivateDataElementCharacteristicsSequence (0008,0300)
DRTProcedureCodeSequence & | getProcedureCodeSequence ()
| get ProcedureCodeSequence (0008,1032)
const DRTProcedureCodeSequence & | getProcedureCodeSequence () const
| get ProcedureCodeSequence (0008,1032)
DRTROIContourSequence & | getROIContourSequence ()
| get ROIContourSequence (3006,0039)
const DRTROIContourSequence & | getROIContourSequence () const
| get ROIContourSequence (3006,0039)
DRTRTROIObservationsSequence & | getRTROIObservationsSequence ()
| get RTROIObservationsSequence (3006,0080)
const DRTRTROIObservationsSequence & | getRTROIObservationsSequence () const
| get RTROIObservationsSequence (3006,0080)
DRTReasonForPerformedProcedureCodeSequence & | getReasonForPerformedProcedureCodeSequence ()
| get ReasonForPerformedProcedureCodeSequence (0040,1012)
const DRTReasonForPerformedProcedureCodeSequence & | getReasonForPerformedProcedureCodeSequence () const
| get ReasonForPerformedProcedureCodeSequence (0040,1012)
DRTReasonForVisitCodeSequence & | getReasonForVisitCodeSequence ()
| get ReasonForVisitCodeSequence (0032,1067)
const DRTReasonForVisitCodeSequence & | getReasonForVisitCodeSequence () const
| get ReasonForVisitCodeSequence (0032,1067)
DRTReferencedDefinedProtocolSequence & | getReferencedDefinedProtocolSequence ()
| get ReferencedDefinedProtocolSequence (0018,990c)
const DRTReferencedDefinedProtocolSequence & | getReferencedDefinedProtocolSequence () const
| get ReferencedDefinedProtocolSequence (0018,990c)
DRTReferencedFrameOfReferenceSequence & | getReferencedFrameOfReferenceSequence ()
| get ReferencedFrameOfReferenceSequence (3006,0010)
const DRTReferencedFrameOfReferenceSequence & | getReferencedFrameOfReferenceSequence () const
| get ReferencedFrameOfReferenceSequence (3006,0010)
DRTReferencedImageSequence & | getReferencedImageSequence ()
| get ReferencedImageSequence (0008,1140)
const DRTReferencedImageSequence & | getReferencedImageSequence () const
| get ReferencedImageSequence (0008,1140)
DRTReferencedInstanceSequence & | getReferencedInstanceSequence ()
| get ReferencedInstanceSequence (0008,114a)
const DRTReferencedInstanceSequence & | getReferencedInstanceSequence () const
| get ReferencedInstanceSequence (0008,114a)
DRTReferencedPatientPhotoSequence & | getReferencedPatientPhotoSequence ()
| get ReferencedPatientPhotoSequence (0010,1100)
const DRTReferencedPatientPhotoSequence & | getReferencedPatientPhotoSequence () const
| get ReferencedPatientPhotoSequence (0010,1100)
DRTReferencedPatientSequence & | getReferencedPatientSequence ()
| get ReferencedPatientSequence (0008,1120)
const DRTReferencedPatientSequence & | getReferencedPatientSequence () const
| get ReferencedPatientSequence (0008,1120)
DRTReferencedPerformedProcedureStepSequence & | getReferencedPerformedProcedureStepSequence ()
| get ReferencedPerformedProcedureStepSequence (0008,1111)
const DRTReferencedPerformedProcedureStepSequence & | getReferencedPerformedProcedureStepSequence () const
| get ReferencedPerformedProcedureStepSequence (0008,1111)
DRTReferencedPerformedProtocolSequence & | getReferencedPerformedProtocolSequence ()
| get ReferencedPerformedProtocolSequence (0018,990d)
const DRTReferencedPerformedProtocolSequence & | getReferencedPerformedProtocolSequence () const
| get ReferencedPerformedProtocolSequence (0018,990d)
DRTReferencedSeriesSequence & | getReferencedSeriesSequence ()
| get ReferencedSeriesSequence (0008,1115)
const DRTReferencedSeriesSequence & | getReferencedSeriesSequence () const
| get ReferencedSeriesSequence (0008,1115)
DRTReferencedStudySequence & | getReferencedStudySequence ()
| get ReferencedStudySequence (0008,1110)
const DRTReferencedStudySequence & | getReferencedStudySequence () const
| get ReferencedStudySequence (0008,1110)
DRTReferringPhysicianIdentificationSequence & | getReferringPhysicianIdentificationSequence ()
| get ReferringPhysicianIdentificationSequence (0008,0096)
const DRTReferringPhysicianIdentificationSequence & | getReferringPhysicianIdentificationSequence () const
| get ReferringPhysicianIdentificationSequence (0008,0096)
DRTRequestAttributesSequence & | getRequestAttributesSequence ()
| get RequestAttributesSequence (0040,0275)
const DRTRequestAttributesSequence & | getRequestAttributesSequence () const
| get RequestAttributesSequence (0040,0275)
DRTRequestingServiceCodeSequence & | getRequestingServiceCodeSequence ()
| get RequestingServiceCodeSequence (0032,1034)
const DRTRequestingServiceCodeSequence & | getRequestingServiceCodeSequence () const
| get RequestingServiceCodeSequence (0032,1034)
DRTSeriesDescriptionCodeSequence & | getSeriesDescriptionCodeSequence ()
| get SeriesDescriptionCodeSequence (0008,103f)
const DRTSeriesDescriptionCodeSequence & | getSeriesDescriptionCodeSequence () const
| get SeriesDescriptionCodeSequence (0008,103f)
DRTSourceImageSequence & | getSourceImageSequence ()
| get SourceImageSequence (0008,2112)
const DRTSourceImageSequence & | getSourceImageSequence () const
| get SourceImageSequence (0008,2112)
DRTSourceInstanceSequence & | getSourceInstanceSequence ()
| get SourceInstanceSequence (0042,0013)
const DRTSourceInstanceSequence & | getSourceInstanceSequence () const
| get SourceInstanceSequence (0042,0013)
DRTSourcePatientGroupIdentificationSequence & | getSourcePatientGroupIdentificationSequence ()
| get SourcePatientGroupIdentificationSequence (0010,0026)
const DRTSourcePatientGroupIdentificationSequence & | getSourcePatientGroupIdentificationSequence () const
| get SourcePatientGroupIdentificationSequence (0010,0026)
DRTStrainCodeSequence & | getStrainCodeSequence ()
| get StrainCodeSequence (0010,0219)
const DRTStrainCodeSequence & | getStrainCodeSequence () const
| get StrainCodeSequence (0010,0219)
DRTStrainStockSequence & | getStrainStockSequence ()
| get StrainStockSequence (0010,0216)
const DRTStrainStockSequence & | getStrainStockSequence () const
| get StrainStockSequence (0010,0216)
DRTStructureSetROISequence & | getStructureSetROISequence ()
| get StructureSetROISequence (3006,0020)
const DRTStructureSetROISequence & | getStructureSetROISequence () const
| get StructureSetROISequence (3006,0020)
DRTStudiesContainingOtherReferencedInstancesSequence & | getStudiesContainingOtherReferencedInstancesSequence ()
| get StudiesContainingOtherReferencedInstancesSequence (0008,1200)
const DRTStudiesContainingOtherReferencedInstancesSequence & | getStudiesContainingOtherReferencedInstancesSequence () const
| get StudiesContainingOtherReferencedInstancesSequence (0008,1200)
DRTUDISequence & | getUDISequence ()
| get UDISequence (0018,100a)
const DRTUDISequence & | getUDISequence () const
| get UDISequence (0018,100a)
virtual OFCondition | setAccessionNumber (const OFString &value, const OFBool check=OFTrue)
| set AccessionNumber (0008,0050)
virtual OFCondition | setAdditionalPatientHistory (const OFString &value, const OFBool check=OFTrue)
| set AdditionalPatientHistory (0010,21b0)
virtual OFCondition | setAdmissionID (const OFString &value, const OFBool check=OFTrue)
| set AdmissionID (0038,0010)
virtual OFCondition | setAdmittingDiagnosesDescription (const OFString &value, const OFBool check=OFTrue)
| set AdmittingDiagnosesDescription (0008,1080)
virtual OFCondition | setAllergies (const OFString &value, const OFBool check=OFTrue)
| set Allergies (0010,2110)
virtual OFCondition | setApprovalStatus (const OFString &value, const OFBool check=OFTrue)
| set ApprovalStatus (300e,0002)
virtual OFCondition | setAuthorizationEquipmentCertificationNumber (const OFString &value, const OFBool check=OFTrue)
| set AuthorizationEquipmentCertificationNumber (0100,0426)
virtual OFCondition | setBarcodeValue (const OFString &value, const OFBool check=OFTrue)
| set BarcodeValue (2200,0005)
virtual OFCondition | setClinicalTrialCoordinatingCenterName (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialCoordinatingCenterName (0012,0060)
virtual OFCondition | setClinicalTrialProtocolEthicsCommitteeApprovalNumber (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialProtocolEthicsCommitteeApprovalNumber (0012,0082)
virtual OFCondition | setClinicalTrialProtocolEthicsCommitteeName (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialProtocolEthicsCommitteeName (0012,0081)
virtual OFCondition | setClinicalTrialProtocolID (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialProtocolID (0012,0020)
virtual OFCondition | setClinicalTrialProtocolName (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialProtocolName (0012,0021)
virtual OFCondition | setClinicalTrialSeriesDescription (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialSeriesDescription (0012,0072)
virtual OFCondition | setClinicalTrialSeriesID (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialSeriesID (0012,0071)
virtual OFCondition | setClinicalTrialSiteID (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialSiteID (0012,0030)
virtual OFCondition | setClinicalTrialSiteName (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialSiteName (0012,0031)
virtual OFCondition | setClinicalTrialSponsorName (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialSponsorName (0012,0010)
virtual OFCondition | setClinicalTrialSubjectID (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialSubjectID (0012,0040)
virtual OFCondition | setClinicalTrialSubjectReadingID (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialSubjectReadingID (0012,0042)
virtual OFCondition | setClinicalTrialTimePointDescription (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialTimePointDescription (0012,0051)
virtual OFCondition | setClinicalTrialTimePointID (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialTimePointID (0012,0050)
virtual OFCondition | setCommentsOnThePerformedProcedureStep (const OFString &value, const OFBool check=OFTrue)
| set CommentsOnThePerformedProcedureStep (0040,0280)
virtual OFCondition | setConsultingPhysicianName (const OFString &value, const OFBool check=OFTrue)
| set ConsultingPhysicianName (0008,009c)
virtual OFCondition | setContentQualification (const OFString &value, const OFBool check=OFTrue)
| set ContentQualification (0018,9004)
virtual OFCondition | setDateOfLastCalibration (const OFString &value, const OFBool check=OFTrue)
| set DateOfLastCalibration (0018,1200)
virtual OFCondition | setDeidentificationMethod (const OFString &value, const OFBool check=OFTrue)
| set DeidentificationMethod (0012,0063)
virtual OFCondition | setDerivationDescription (const OFString &value, const OFBool check=OFTrue)
| set DerivationDescription (0008,2111)
virtual OFCondition | setDeviceSerialNumber (const OFString &value, const OFBool check=OFTrue)
| set DeviceSerialNumber (0018,1000)
virtual OFCondition | setDeviceUID (const OFString &value, const OFBool check=OFTrue)
| set DeviceUID (0018,1002)
virtual OFCondition | setEthnicGroup (const OFString &value, const OFBool check=OFTrue)
| set EthnicGroup (0010,2160)
virtual OFCondition | setFrameOfReferenceUID (const OFString &value, const OFBool check=OFTrue)
| set FrameOfReferenceUID (0020,0052)
virtual OFCondition | setGantryID (const OFString &value, const OFBool check=OFTrue)
| set GantryID (0018,1008)
virtual OFCondition | setInstanceCoercionDateTime (const OFString &value, const OFBool check=OFTrue)
| set InstanceCoercionDateTime (0008,0015)
virtual OFCondition | setInstanceCreationDate (const OFString &value, const OFBool check=OFTrue)
| set InstanceCreationDate (0008,0012)
virtual OFCondition | setInstanceCreationTime (const OFString &value, const OFBool check=OFTrue)
| set InstanceCreationTime (0008,0013)
virtual OFCondition | setInstanceCreatorUID (const OFString &value, const OFBool check=OFTrue)
| set InstanceCreatorUID (0008,0014)
virtual OFCondition | setInstanceNumber (const OFString &value, const OFBool check=OFTrue)
| set InstanceNumber (0020,0013)
virtual OFCondition | setInstanceOriginStatus (const OFString &value, const OFBool check=OFTrue)
| set InstanceOriginStatus (0400,0600)
virtual OFCondition | setInstitutionAddress (const OFString &value, const OFBool check=OFTrue)
| set InstitutionAddress (0008,0081)
virtual OFCondition | setInstitutionName (const OFString &value, const OFBool check=OFTrue)
| set InstitutionName (0008,0080)
virtual OFCondition | setInstitutionalDepartmentName (const OFString &value, const OFBool check=OFTrue)
| set InstitutionalDepartmentName (0008,1040)
virtual OFCondition | setIssuerOfPatientID (const OFString &value, const OFBool check=OFTrue)
| set IssuerOfPatientID (0010,0021)
virtual OFCondition | setLastMenstrualDate (const OFString &value, const OFBool check=OFTrue)
| set LastMenstrualDate (0010,21d0)
virtual OFCondition | setLongitudinalTemporalEventType (const OFString &value, const OFBool check=OFTrue)
| set LongitudinalTemporalEventType (0012,0053)
virtual OFCondition | setLongitudinalTemporalInformationModified (const OFString &value, const OFBool check=OFTrue)
| set LongitudinalTemporalInformationModified (0028,0303)
virtual OFCondition | setLongitudinalTemporalOffsetFromEvent (const Float64 value, const unsigned long pos=0)
| set LongitudinalTemporalOffsetFromEvent (0012,0052)
virtual OFCondition | setManufacturer (const OFString &value, const OFBool check=OFTrue)
| set Manufacturer (0008,0070)
virtual OFCondition | setManufacturerDeviceClassUID (const OFString &value, const OFBool check=OFTrue)
| set ManufacturerDeviceClassUID (0018,100b)
virtual OFCondition | setManufacturerModelName (const OFString &value, const OFBool check=OFTrue)
| set ManufacturerModelName (0008,1090)
virtual OFCondition | setMeasuredAPDimension (const OFString &value, const OFBool check=OFTrue)
| set MeasuredAPDimension (0010,1023)
virtual OFCondition | setMeasuredLateralDimension (const OFString &value, const OFBool check=OFTrue)
| set MeasuredLateralDimension (0010,1024)
virtual OFCondition | setMedicalAlerts (const OFString &value, const OFBool check=OFTrue)
| set MedicalAlerts (0010,2000)
virtual OFCondition | setModality (const OFString &value, const OFBool check=OFTrue)
| set Modality (0008,0060)
virtual OFCondition | setNameOfPhysiciansReadingStudy (const OFString &value, const OFBool check=OFTrue)
| set NameOfPhysiciansReadingStudy (0008,1060)
virtual OFCondition | setOccupation (const OFString &value, const OFBool check=OFTrue)
| set Occupation (0010,2180)
virtual OFCondition | setOperatorsName (const OFString &value, const OFBool check=OFTrue)
| set OperatorsName (0008,1070)
virtual OFCondition | setOriginalSpecializedSOPClassUID (const OFString &value, const OFBool check=OFTrue)
| set OriginalSpecializedSOPClassUID (0008,001b)
virtual OFCondition | setOtherPatientNames (const OFString &value, const OFBool check=OFTrue)
| set OtherPatientNames (0010,1001)
virtual OFCondition | setPatientAge (const OFString &value, const OFBool check=OFTrue)
| set PatientAge (0010,1010)
virtual OFCondition | setPatientAlternativeCalendar (const OFString &value, const OFBool check=OFTrue)
| set PatientAlternativeCalendar (0010,0035)
virtual OFCondition | setPatientBirthDate (const OFString &value, const OFBool check=OFTrue)
| set PatientBirthDate (0010,0030)
virtual OFCondition | setPatientBirthDateInAlternativeCalendar (const OFString &value, const OFBool check=OFTrue)
| set PatientBirthDateInAlternativeCalendar (0010,0033)
virtual OFCondition | setPatientBirthTime (const OFString &value, const OFBool check=OFTrue)
| set PatientBirthTime (0010,0032)
virtual OFCondition | setPatientBodyMassIndex (const OFString &value, const OFBool check=OFTrue)
| set PatientBodyMassIndex (0010,1022)
virtual OFCondition | setPatientBreedDescription (const OFString &value, const OFBool check=OFTrue)
| set PatientBreedDescription (0010,2292)
virtual OFCondition | setPatientComments (const OFString &value, const OFBool check=OFTrue)
| set PatientComments (0010,4000)
virtual OFCondition | setPatientDeathDateInAlternativeCalendar (const OFString &value, const OFBool check=OFTrue)
| set PatientDeathDateInAlternativeCalendar (0010,0034)
virtual OFCondition | setPatientID (const OFString &value, const OFBool check=OFTrue)
| set PatientID (0010,0020)
virtual OFCondition | setPatientIdentityRemoved (const OFString &value, const OFBool check=OFTrue)
| set PatientIdentityRemoved (0012,0062)
virtual OFCondition | setPatientName (const OFString &value, const OFBool check=OFTrue)
| set PatientName (0010,0010)
virtual OFCondition | setPatientSex (const OFString &value, const OFBool check=OFTrue)
| set PatientSex (0010,0040)
virtual OFCondition | setPatientSexNeutered (const OFString &value, const OFBool check=OFTrue)
| set PatientSexNeutered (0010,2203)
virtual OFCondition | setPatientSize (const OFString &value, const OFBool check=OFTrue)
| set PatientSize (0010,1020)
virtual OFCondition | setPatientSpeciesDescription (const OFString &value, const OFBool check=OFTrue)
| set PatientSpeciesDescription (0010,2201)
virtual OFCondition | setPatientState (const OFString &value, const OFBool check=OFTrue)
| set PatientState (0038,0500)
virtual OFCondition | setPatientWeight (const OFString &value, const OFBool check=OFTrue)
| set PatientWeight (0010,1030)
virtual OFCondition | setPerformedProcedureStepDescription (const OFString &value, const OFBool check=OFTrue)
| set PerformedProcedureStepDescription (0040,0254)
virtual OFCondition | setPerformedProcedureStepEndDate (const OFString &value, const OFBool check=OFTrue)
| set PerformedProcedureStepEndDate (0040,0250)
virtual OFCondition | setPerformedProcedureStepEndTime (const OFString &value, const OFBool check=OFTrue)
| set PerformedProcedureStepEndTime (0040,0251)
virtual OFCondition | setPerformedProcedureStepID (const OFString &value, const OFBool check=OFTrue)
| set PerformedProcedureStepID (0040,0253)
virtual OFCondition | setPerformedProcedureStepStartDate (const OFString &value, const OFBool check=OFTrue)
| set PerformedProcedureStepStartDate (0040,0244)
virtual OFCondition | setPerformedProcedureStepStartTime (const OFString &value, const OFBool check=OFTrue)
| set PerformedProcedureStepStartTime (0040,0245)
virtual OFCondition | setPhysiciansOfRecord (const OFString &value, const OFBool check=OFTrue)
| set PhysiciansOfRecord (0008,1048)
virtual OFCondition | setPixelPaddingValue (const Uint16 value, const unsigned long pos=0)
| set PixelPaddingValue (0028,0120)
virtual OFCondition | setPositionReferenceIndicator (const OFString &value, const OFBool check=OFTrue)
| set PositionReferenceIndicator (0020,1040)
virtual OFCondition | setPregnancyStatus (const Uint16 value, const unsigned long pos=0)
| set PregnancyStatus (0010,21c0)
virtual OFCondition | setQualityControlSubject (const OFString &value, const OFBool check=OFTrue)
| set QualityControlSubject (0010,0200)
virtual OFCondition | setQueryRetrieveView (const OFString &value, const OFBool check=OFTrue)
| set QueryRetrieveView (0008,0053)
virtual OFCondition | setReasonForVisit (const OFString &value, const OFBool check=OFTrue)
| set ReasonForVisit (0032,1066)
virtual OFCondition | setReferringPhysicianName (const OFString &value, const OFBool check=OFTrue)
| set ReferringPhysicianName (0008,0090)
virtual OFCondition | setRelatedGeneralSOPClassUID (const OFString &value, const OFBool check=OFTrue)
| set RelatedGeneralSOPClassUID (0008,001a)
virtual OFCondition | setRequestingService (const OFString &value, const OFBool check=OFTrue)
| set RequestingService (0032,1033)
virtual OFCondition | setResponsibleOrganization (const OFString &value, const OFBool check=OFTrue)
| set ResponsibleOrganization (0010,2299)
virtual OFCondition | setResponsiblePerson (const OFString &value, const OFBool check=OFTrue)
| set ResponsiblePerson (0010,2297)
virtual OFCondition | setResponsiblePersonRole (const OFString &value, const OFBool check=OFTrue)
| set ResponsiblePersonRole (0010,2298)
virtual OFCondition | setReviewDate (const OFString &value, const OFBool check=OFTrue)
| set ReviewDate (300e,0004)
virtual OFCondition | setReviewTime (const OFString &value, const OFBool check=OFTrue)
| set ReviewTime (300e,0005)
virtual OFCondition | setReviewerName (const OFString &value, const OFBool check=OFTrue)
| set ReviewerName (300e,0008)
virtual OFCondition | setSOPAuthorizationComment (const OFString &value, const OFBool check=OFTrue)
| set SOPAuthorizationComment (0100,0424)
virtual OFCondition | setSOPAuthorizationDateTime (const OFString &value, const OFBool check=OFTrue)
| set SOPAuthorizationDateTime (0100,0420)
virtual OFCondition | setSOPClassUID (const OFString &value, const OFBool check=OFTrue)
| set SOPClassUID (0008,0016)
virtual OFCondition | setSOPInstanceStatus (const OFString &value, const OFBool check=OFTrue)
| set SOPInstanceStatus (0100,0410)
virtual OFCondition | setSOPInstanceUID (const OFString &value, const OFBool check=OFTrue)
| set SOPInstanceUID (0008,0018)
virtual OFCondition | setSeriesDate (const OFString &value, const OFBool check=OFTrue)
| set SeriesDate (0008,0021)
virtual OFCondition | setSeriesDescription (const OFString &value, const OFBool check=OFTrue)
| set SeriesDescription (0008,103e)
virtual OFCondition | setSeriesInstanceUID (const OFString &value, const OFBool check=OFTrue)
| set SeriesInstanceUID (0020,000e)
virtual OFCondition | setSeriesNumber (const OFString &value, const OFBool check=OFTrue)
| set SeriesNumber (0020,0011)
virtual OFCondition | setSeriesTime (const OFString &value, const OFBool check=OFTrue)
| set SeriesTime (0008,0031)
virtual OFCondition | setServiceEpisodeDescription (const OFString &value, const OFBool check=OFTrue)
| set ServiceEpisodeDescription (0038,0062)
virtual OFCondition | setServiceEpisodeID (const OFString &value, const OFBool check=OFTrue)
| set ServiceEpisodeID (0038,0060)
virtual OFCondition | setSmokingStatus (const OFString &value, const OFBool check=OFTrue)
| set SmokingStatus (0010,21a0)
virtual OFCondition | setSoftwareVersions (const OFString &value, const OFBool check=OFTrue)
| set SoftwareVersions (0018,1020)
virtual OFCondition | setSpatialResolution (const OFString &value, const OFBool check=OFTrue)
| set SpatialResolution (0018,1050)
virtual OFCondition | setSpecificCharacterSet (const OFString &value, const OFBool check=OFTrue)
| set SpecificCharacterSet (0008,0005)
virtual OFCondition | setStationName (const OFString &value, const OFBool check=OFTrue)
| set StationName (0008,1010)
virtual OFCondition | setStrainAdditionalInformation (const OFString &value, const OFBool check=OFTrue)
| set StrainAdditionalInformation (0010,0218)
virtual OFCondition | setStrainDescription (const OFString &value, const OFBool check=OFTrue)
| set StrainDescription (0010,0212)
virtual OFCondition | setStrainNomenclature (const OFString &value, const OFBool check=OFTrue)
| set StrainNomenclature (0010,0213)
virtual OFCondition | setStructureSetDate (const OFString &value, const OFBool check=OFTrue)
| set StructureSetDate (3006,0008)
virtual OFCondition | setStructureSetDescription (const OFString &value, const OFBool check=OFTrue)
| set StructureSetDescription (3006,0006)
virtual OFCondition | setStructureSetLabel (const OFString &value, const OFBool check=OFTrue)
| set StructureSetLabel (3006,0002)
virtual OFCondition | setStructureSetName (const OFString &value, const OFBool check=OFTrue)
| set StructureSetName (3006,0004)
virtual OFCondition | setStructureSetTime (const OFString &value, const OFBool check=OFTrue)
| set StructureSetTime (3006,0009)
virtual OFCondition | setStudyDate (const OFString &value, const OFBool check=OFTrue)
| set StudyDate (0008,0020)
virtual OFCondition | setStudyDescription (const OFString &value, const OFBool check=OFTrue)
| set StudyDescription (0008,1030)
virtual OFCondition | setStudyID (const OFString &value, const OFBool check=OFTrue)
| set StudyID (0020,0010)
virtual OFCondition | setStudyInstanceUID (const OFString &value, const OFBool check=OFTrue)
| set StudyInstanceUID (0020,000d)
virtual OFCondition | setStudyTime (const OFString &value, const OFBool check=OFTrue)
| set StudyTime (0008,0030)
virtual OFCondition | setTimeOfLastCalibration (const OFString &value, const OFBool check=OFTrue)
| set TimeOfLastCalibration (0018,1201)
virtual OFCondition | setTimezoneOffsetFromUTC (const OFString &value, const OFBool check=OFTrue)
| set TimezoneOffsetFromUTC (0008,0201)
virtual OFCondition | setTreatmentSessionUID (const OFString &value, const OFBool check=OFTrue)
| set TreatmentSessionUID (300a,0700)
virtual OFCondition | setTypeOfPatientID (const OFString &value, const OFBool check=OFTrue)
| set TypeOfPatientID (0010,0022)

## Protected Member Functions

OFCondition | checkDatasetForReading (DcmItem &dataset)
| check the given dataset before reading.
void | updateAttributes ()
| update various DICOM attributes
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.

## Private Attributes

DcmPersonName | PatientName
| PatientName (0010,0010) vr=PN, vm=1, type=2.
DcmLongString | PatientID
| PatientID (0010,0020) vr=LO, vm=1, type=2.
DcmLongString | IssuerOfPatientID
| IssuerOfPatientID (0010,0021) vr=LO, vm=1, type=3.
DRTIssuerOfPatientIDQualifiersSequence | IssuerOfPatientIDQualifiersSequence
| IssuerOfPatientIDQualifiersSequence (0010,0024) vr=SQ, vm=1, type=3.
DcmCodeString | TypeOfPatientID
| TypeOfPatientID (0010,0022) vr=CS, vm=1, type=3.
DcmDate | PatientBirthDate
| PatientBirthDate (0010,0030) vr=DA, vm=1, type=2.
DcmLongString | PatientBirthDateInAlternativeCalendar
| PatientBirthDateInAlternativeCalendar (0010,0033) vr=LO, vm=1, type=3.
DcmLongString | PatientDeathDateInAlternativeCalendar
| PatientDeathDateInAlternativeCalendar (0010,0034) vr=LO, vm=1, type=3.
DcmCodeString | PatientAlternativeCalendar
| PatientAlternativeCalendar (0010,0035) vr=CS, vm=1, type=1C.
DcmCodeString | PatientSex
| PatientSex (0010,0040) vr=CS, vm=1, type=2.
DRTReferencedPatientPhotoSequence | ReferencedPatientPhotoSequence
| ReferencedPatientPhotoSequence (0010,1100) vr=SQ, vm=1, type=3.
DcmCodeString | QualityControlSubject
| QualityControlSubject (0010,0200) vr=CS, vm=1, type=3.
DRTReferencedPatientSequence | ReferencedPatientSequence
| ReferencedPatientSequence (0008,1120) vr=SQ, vm=1, type=3.
DcmTime | PatientBirthTime
| PatientBirthTime (0010,0032) vr=TM, vm=1, type=3.
DRTOtherPatientIDsSequence | OtherPatientIDsSequence
| OtherPatientIDsSequence (0010,1002) vr=SQ, vm=1, type=3.
DcmPersonName | OtherPatientNames
| OtherPatientNames (0010,1001) vr=PN, vm=1-n, type=3.
DcmShortString | EthnicGroup
| EthnicGroup (0010,2160) vr=SH, vm=1, type=3.
DcmLongText | PatientComments
| PatientComments (0010,4000) vr=LT, vm=1, type=3.
DcmLongString | PatientSpeciesDescription
| PatientSpeciesDescription (0010,2201) vr=LO, vm=1, type=1C.
DRTPatientSpeciesCodeSequence | PatientSpeciesCodeSequence
| PatientSpeciesCodeSequence (0010,2202) vr=SQ, vm=1, type=1C.
DcmLongString | PatientBreedDescription
| PatientBreedDescription (0010,2292) vr=LO, vm=1, type=2C.
DRTPatientBreedCodeSequence | PatientBreedCodeSequence
| PatientBreedCodeSequence (0010,2293) vr=SQ, vm=1, type=2C.
DRTBreedRegistrationSequence | BreedRegistrationSequence
| BreedRegistrationSequence (0010,2294) vr=SQ, vm=1, type=2C.
DcmUnlimitedCharacters | StrainDescription
| StrainDescription (0010,0212) vr=UC, vm=1, type=3.
DcmLongString | StrainNomenclature
| StrainNomenclature (0010,0213) vr=LO, vm=1, type=3.
DRTStrainCodeSequence | StrainCodeSequence
| StrainCodeSequence (0010,0219) vr=SQ, vm=1, type=3.
DcmUnlimitedText | StrainAdditionalInformation
| StrainAdditionalInformation (0010,0218) vr=UT, vm=1, type=3.
DRTStrainStockSequence | StrainStockSequence
| StrainStockSequence (0010,0216) vr=SQ, vm=1, type=3.
DRTGeneticModificationsSequence | GeneticModificationsSequence
| GeneticModificationsSequence (0010,0221) vr=SQ, vm=1, type=3.
DcmPersonName | ResponsiblePerson
| ResponsiblePerson (0010,2297) vr=PN, vm=1, type=2C.
DcmCodeString | ResponsiblePersonRole
| ResponsiblePersonRole (0010,2298) vr=CS, vm=1, type=1C.
DcmLongString | ResponsibleOrganization
| ResponsibleOrganization (0010,2299) vr=LO, vm=1, type=2C.
DcmCodeString | PatientIdentityRemoved
| PatientIdentityRemoved (0012,0062) vr=CS, vm=1, type=3.
DcmLongString | DeidentificationMethod
| DeidentificationMethod (0012,0063) vr=LO, vm=1-n, type=1C.
DRTDeidentificationMethodCodeSequence | DeidentificationMethodCodeSequence
| DeidentificationMethodCodeSequence (0012,0064) vr=SQ, vm=1, type=1C.
DRTSourcePatientGroupIdentificationSequence | SourcePatientGroupIdentificationSequence
| SourcePatientGroupIdentificationSequence (0010,0026) vr=SQ, vm=1, type=3.
DRTGroupOfPatientsIdentificationSequence | GroupOfPatientsIdentificationSequence
| GroupOfPatientsIdentificationSequence (0010,0027) vr=SQ, vm=1, type=3.
DcmLongString | ClinicalTrialSponsorName
| ClinicalTrialSponsorName (0012,0010) vr=LO, vm=1, type=1.
DcmLongString | ClinicalTrialProtocolID
| ClinicalTrialProtocolID (0012,0020) vr=LO, vm=1, type=1.
DcmLongString | ClinicalTrialProtocolName
| ClinicalTrialProtocolName (0012,0021) vr=LO, vm=1, type=2.
DcmLongString | ClinicalTrialSiteID
| ClinicalTrialSiteID (0012,0030) vr=LO, vm=1, type=2.
DcmLongString | ClinicalTrialSiteName
| ClinicalTrialSiteName (0012,0031) vr=LO, vm=1, type=2.
DcmLongString | ClinicalTrialSubjectID
| ClinicalTrialSubjectID (0012,0040) vr=LO, vm=1, type=1C.
DcmLongString | ClinicalTrialSubjectReadingID
| ClinicalTrialSubjectReadingID (0012,0042) vr=LO, vm=1, type=1C.
DcmLongString | ClinicalTrialProtocolEthicsCommitteeName
| ClinicalTrialProtocolEthicsCommitteeName (0012,0081) vr=LO, vm=1, type=1C.
DcmLongString | ClinicalTrialProtocolEthicsCommitteeApprovalNumber
| ClinicalTrialProtocolEthicsCommitteeApprovalNumber (0012,0082) vr=LO, vm=1, type=3.
DcmUniqueIdentifier | StudyInstanceUID
| StudyInstanceUID (0020,000d) vr=UI, vm=1, type=1.
DcmDate | StudyDate
| StudyDate (0008,0020) vr=DA, vm=1, type=2.
DcmTime | StudyTime
| StudyTime (0008,0030) vr=TM, vm=1, type=2.
DcmPersonName | ReferringPhysicianName
| ReferringPhysicianName (0008,0090) vr=PN, vm=1, type=2.
DRTReferringPhysicianIdentificationSequence | ReferringPhysicianIdentificationSequence
| ReferringPhysicianIdentificationSequence (0008,0096) vr=SQ, vm=1, type=3.
DcmPersonName | ConsultingPhysicianName
| ConsultingPhysicianName (0008,009c) vr=PN, vm=1-n, type=3.
DRTConsultingPhysicianIdentificationSequence | ConsultingPhysicianIdentificationSequence
| ConsultingPhysicianIdentificationSequence (0008,009d) vr=SQ, vm=1, type=3.
DcmShortString | StudyID
| StudyID (0020,0010) vr=SH, vm=1, type=2.
DcmShortString | AccessionNumber
| AccessionNumber (0008,0050) vr=SH, vm=1, type=2.
DRTIssuerOfAccessionNumberSequence | IssuerOfAccessionNumberSequence
| IssuerOfAccessionNumberSequence (0008,0051) vr=SQ, vm=1, type=3.
DcmLongString | StudyDescription
| StudyDescription (0008,1030) vr=LO, vm=1, type=3.
DcmPersonName | PhysiciansOfRecord
| PhysiciansOfRecord (0008,1048) vr=PN, vm=1-n, type=3.
DRTPhysiciansOfRecordIdentificationSequence | PhysiciansOfRecordIdentificationSequence
| PhysiciansOfRecordIdentificationSequence (0008,1049) vr=SQ, vm=1, type=3.
DcmPersonName | NameOfPhysiciansReadingStudy
| NameOfPhysiciansReadingStudy (0008,1060) vr=PN, vm=1-n, type=3.
DRTPhysiciansReadingStudyIdentificationSequence | PhysiciansReadingStudyIdentificationSequence
| PhysiciansReadingStudyIdentificationSequence (0008,1062) vr=SQ, vm=1, type=3.
DcmLongString | RequestingService
| RequestingService (0032,1033) vr=LO, vm=1, type=3.
DRTRequestingServiceCodeSequence | RequestingServiceCodeSequence
| RequestingServiceCodeSequence (0032,1034) vr=SQ, vm=1, type=3.
DRTReferencedStudySequence | ReferencedStudySequence
| ReferencedStudySequence (0008,1110) vr=SQ, vm=1, type=3.
DRTProcedureCodeSequence | ProcedureCodeSequence
| ProcedureCodeSequence (0008,1032) vr=SQ, vm=1, type=3.
DRTReasonForPerformedProcedureCodeSequence | ReasonForPerformedProcedureCodeSequence
| ReasonForPerformedProcedureCodeSequence (0040,1012) vr=SQ, vm=1, type=3.
DcmLongString | AdmittingDiagnosesDescription
| AdmittingDiagnosesDescription (0008,1080) vr=LO, vm=1-n, type=3.
DRTAdmittingDiagnosesCodeSequence | AdmittingDiagnosesCodeSequence
| AdmittingDiagnosesCodeSequence (0008,1084) vr=SQ, vm=1, type=3.
DcmAgeString | PatientAge
| PatientAge (0010,1010) vr=AS, vm=1, type=3.
DcmDecimalString | PatientSize
| PatientSize (0010,1020) vr=DS, vm=1, type=3.
DcmDecimalString | PatientWeight
| PatientWeight (0010,1030) vr=DS, vm=1, type=3.
DcmDecimalString | PatientBodyMassIndex
| PatientBodyMassIndex (0010,1022) vr=DS, vm=1, type=3.
DcmDecimalString | MeasuredAPDimension
| MeasuredAPDimension (0010,1023) vr=DS, vm=1, type=3.
DcmDecimalString | MeasuredLateralDimension
| MeasuredLateralDimension (0010,1024) vr=DS, vm=1, type=3.
DRTPatientSizeCodeSequence | PatientSizeCodeSequence
| PatientSizeCodeSequence (0010,1021) vr=SQ, vm=1, type=3.
DcmLongString | MedicalAlerts
| MedicalAlerts (0010,2000) vr=LO, vm=1-n, type=3.
DcmLongString | Allergies
| Allergies (0010,2110) vr=LO, vm=1-n, type=3.
DcmCodeString | SmokingStatus
| SmokingStatus (0010,21a0) vr=CS, vm=1, type=3.
DcmUnsignedShort | PregnancyStatus
| PregnancyStatus (0010,21c0) vr=US, vm=1, type=3.
DcmDate | LastMenstrualDate
| LastMenstrualDate (0010,21d0) vr=DA, vm=1, type=3.
DcmLongString | PatientState
| PatientState (0038,0500) vr=LO, vm=1, type=3.
DcmShortString | Occupation
| Occupation (0010,2180) vr=SH, vm=1, type=3.
DcmLongText | AdditionalPatientHistory
| AdditionalPatientHistory (0010,21b0) vr=LT, vm=1, type=3.
DcmLongString | AdmissionID
| AdmissionID (0038,0010) vr=LO, vm=1, type=3.
DRTIssuerOfAdmissionIDSequence | IssuerOfAdmissionIDSequence
| IssuerOfAdmissionIDSequence (0038,0014) vr=SQ, vm=1, type=3.
DcmUnlimitedText | ReasonForVisit
| ReasonForVisit (0032,1066) vr=UT, vm=1, type=3.
DRTReasonForVisitCodeSequence | ReasonForVisitCodeSequence
| ReasonForVisitCodeSequence (0032,1067) vr=SQ, vm=1, type=3.
DcmLongString | ServiceEpisodeID
| ServiceEpisodeID (0038,0060) vr=LO, vm=1, type=3.
DRTIssuerOfServiceEpisodeIDSequence | IssuerOfServiceEpisodeIDSequence
| IssuerOfServiceEpisodeIDSequence (0038,0064) vr=SQ, vm=1, type=3.
DcmLongString | ServiceEpisodeDescription
| ServiceEpisodeDescription (0038,0062) vr=LO, vm=1, type=3.
DcmCodeString | PatientSexNeutered
| PatientSexNeutered (0010,2203) vr=CS, vm=1, type=2C.
DcmLongString | ClinicalTrialTimePointID
| ClinicalTrialTimePointID (0012,0050) vr=LO, vm=1, type=2.
DcmShortText | ClinicalTrialTimePointDescription
| ClinicalTrialTimePointDescription (0012,0051) vr=ST, vm=1, type=3.
DRTClinicalTrialTimePointTypeCodeSequence | ClinicalTrialTimePointTypeCodeSequence
| ClinicalTrialTimePointTypeCodeSequence (0012,0054) vr=SQ, vm=1, type=3.
DcmFloatingPointDouble | LongitudinalTemporalOffsetFromEvent
| LongitudinalTemporalOffsetFromEvent (0012,0052) vr=FD, vm=1, type=3.
DcmCodeString | LongitudinalTemporalEventType
| LongitudinalTemporalEventType (0012,0053) vr=CS, vm=1, type=1C.
DRTConsentForClinicalTrialUseSequence | ConsentForClinicalTrialUseSequence
| ConsentForClinicalTrialUseSequence (0012,0083) vr=SQ, vm=1, type=3.
DcmCodeString | Modality
| Modality (0008,0060) vr=CS, vm=1, type=1.
DcmUniqueIdentifier | SeriesInstanceUID
| SeriesInstanceUID (0020,000e) vr=UI, vm=1, type=1.
DcmIntegerString | SeriesNumber
| SeriesNumber (0020,0011) vr=IS, vm=1, type=2.
DcmDate | SeriesDate
| SeriesDate (0008,0021) vr=DA, vm=1, type=3.
DcmTime | SeriesTime
| SeriesTime (0008,0031) vr=TM, vm=1, type=3.
DcmLongString | SeriesDescription
| SeriesDescription (0008,103e) vr=LO, vm=1, type=3.
DRTSeriesDescriptionCodeSequence | SeriesDescriptionCodeSequence
| SeriesDescriptionCodeSequence (0008,103f) vr=SQ, vm=1, type=3.
DcmPersonName | OperatorsName
| OperatorsName (0008,1070) vr=PN, vm=1-n, type=2.
DRTOperatorIdentificationSequence | OperatorIdentificationSequence
| OperatorIdentificationSequence (0008,1072) vr=SQ, vm=1, type=3.
DRTReferencedPerformedProcedureStepSequence | ReferencedPerformedProcedureStepSequence
| ReferencedPerformedProcedureStepSequence (0008,1111) vr=SQ, vm=1, type=3.
DRTRequestAttributesSequence | RequestAttributesSequence
| RequestAttributesSequence (0040,0275) vr=SQ, vm=1, type=3.
DcmShortString | PerformedProcedureStepID
| PerformedProcedureStepID (0040,0253) vr=SH, vm=1, type=3.
DcmDate | PerformedProcedureStepStartDate
| PerformedProcedureStepStartDate (0040,0244) vr=DA, vm=1, type=3.
DcmTime | PerformedProcedureStepStartTime
| PerformedProcedureStepStartTime (0040,0245) vr=TM, vm=1, type=3.
DcmDate | PerformedProcedureStepEndDate
| PerformedProcedureStepEndDate (0040,0250) vr=DA, vm=1, type=3.
DcmTime | PerformedProcedureStepEndTime
| PerformedProcedureStepEndTime (0040,0251) vr=TM, vm=1, type=3.
DcmLongString | PerformedProcedureStepDescription
| PerformedProcedureStepDescription (0040,0254) vr=LO, vm=1, type=3.
DRTPerformedProtocolCodeSequence | PerformedProtocolCodeSequence
| PerformedProtocolCodeSequence (0040,0260) vr=SQ, vm=1, type=3.
DcmShortText | CommentsOnThePerformedProcedureStep
| CommentsOnThePerformedProcedureStep (0040,0280) vr=ST, vm=1, type=3.
DcmUniqueIdentifier | TreatmentSessionUID
| TreatmentSessionUID (300a,0700) vr=UI, vm=1, type=3.
DcmLongString | ClinicalTrialCoordinatingCenterName
| ClinicalTrialCoordinatingCenterName (0012,0060) vr=LO, vm=1, type=2.
DcmLongString | ClinicalTrialSeriesID
| ClinicalTrialSeriesID (0012,0071) vr=LO, vm=1, type=3.
DcmLongString | ClinicalTrialSeriesDescription
| ClinicalTrialSeriesDescription (0012,0072) vr=LO, vm=1, type=3.
DcmLongString | Manufacturer
| Manufacturer (0008,0070) vr=LO, vm=1, type=2.
DcmLongString | InstitutionName
| InstitutionName (0008,0080) vr=LO, vm=1, type=3.
DcmShortText | InstitutionAddress
| InstitutionAddress (0008,0081) vr=ST, vm=1, type=3.
DcmShortString | StationName
| StationName (0008,1010) vr=SH, vm=1, type=3.
DcmLongString | InstitutionalDepartmentName
| InstitutionalDepartmentName (0008,1040) vr=LO, vm=1, type=3.
DRTInstitutionalDepartmentTypeCodeSequence | InstitutionalDepartmentTypeCodeSequence
| InstitutionalDepartmentTypeCodeSequence (0008,1041) vr=SQ, vm=1, type=3.
DcmLongString | ManufacturerModelName
| ManufacturerModelName (0008,1090) vr=LO, vm=1, type=3.
DcmUniqueIdentifier | ManufacturerDeviceClassUID
| ManufacturerDeviceClassUID (0018,100b) vr=UI, vm=1-n, type=3.
DcmLongString | DeviceSerialNumber
| DeviceSerialNumber (0018,1000) vr=LO, vm=1, type=3.
DcmLongString | SoftwareVersions
| SoftwareVersions (0018,1020) vr=LO, vm=1-n, type=3.
DcmLongString | GantryID
| GantryID (0018,1008) vr=LO, vm=1, type=3.
DRTUDISequence | UDISequence
| UDISequence (0018,100a) vr=SQ, vm=1, type=3.
DcmUniqueIdentifier | DeviceUID
| DeviceUID (0018,1002) vr=UI, vm=1, type=3.
DcmDecimalString | SpatialResolution
| SpatialResolution (0018,1050) vr=DS, vm=1, type=3.
DcmDate | DateOfLastCalibration
| DateOfLastCalibration (0018,1200) vr=DA, vm=1-n, type=3.
DcmTime | TimeOfLastCalibration
| TimeOfLastCalibration (0018,1201) vr=TM, vm=1-n, type=3.
DcmUnsignedShort | PixelPaddingValue
| PixelPaddingValue (0028,0120) vr=US/SS, vm=1, type=1C.
DcmUniqueIdentifier | FrameOfReferenceUID
| FrameOfReferenceUID (0020,0052) vr=UI, vm=1, type=1.
DcmLongString | PositionReferenceIndicator
| PositionReferenceIndicator (0020,1040) vr=LO, vm=1, type=2.
DcmShortString | StructureSetLabel
| StructureSetLabel (3006,0002) vr=SH, vm=1, type=1.
DcmLongString | StructureSetName
| StructureSetName (3006,0004) vr=LO, vm=1, type=3.
DcmShortText | StructureSetDescription
| StructureSetDescription (3006,0006) vr=ST, vm=1, type=3.
DcmIntegerString | InstanceNumber
| InstanceNumber (0020,0013) vr=IS, vm=1, type=3.
DcmDate | StructureSetDate
| StructureSetDate (3006,0008) vr=DA, vm=1, type=2.
DcmTime | StructureSetTime
| StructureSetTime (3006,0009) vr=TM, vm=1, type=2.
DRTReferencedFrameOfReferenceSequence | ReferencedFrameOfReferenceSequence
| ReferencedFrameOfReferenceSequence (3006,0010) vr=SQ, vm=1, type=3.
DRTStructureSetROISequence | StructureSetROISequence
| StructureSetROISequence (3006,0020) vr=SQ, vm=1, type=1.
DRTPredecessorStructureSetSequence | PredecessorStructureSetSequence
| PredecessorStructureSetSequence (3006,0018) vr=SQ, vm=1, type=3.
DRTROIContourSequence | ROIContourSequence
| ROIContourSequence (3006,0039) vr=SQ, vm=1, type=1.
DRTRTROIObservationsSequence | RTROIObservationsSequence
| RTROIObservationsSequence (3006,0080) vr=SQ, vm=1, type=1.
DcmCodeString | ApprovalStatus
| ApprovalStatus (300e,0002) vr=CS, vm=1, type=1.
DcmDate | ReviewDate
| ReviewDate (300e,0004) vr=DA, vm=1, type=2C.
DcmTime | ReviewTime
| ReviewTime (300e,0005) vr=TM, vm=1, type=2C.
DcmPersonName | ReviewerName
| ReviewerName (300e,0008) vr=PN, vm=1, type=2C.
DRTReferencedImageSequence | ReferencedImageSequence
| ReferencedImageSequence (0008,1140) vr=SQ, vm=1, type=3.
DRTReferencedInstanceSequence | ReferencedInstanceSequence
| ReferencedInstanceSequence (0008,114a) vr=SQ, vm=1, type=3.
DcmShortText | DerivationDescription
| DerivationDescription (0008,2111) vr=ST, vm=1, type=3.
DRTDerivationCodeSequence | DerivationCodeSequence
| DerivationCodeSequence (0008,9215) vr=SQ, vm=1, type=3.
DRTSourceImageSequence | SourceImageSequence
| SourceImageSequence (0008,2112) vr=SQ, vm=1, type=3.
DRTSourceInstanceSequence | SourceInstanceSequence
| SourceInstanceSequence (0042,0013) vr=SQ, vm=1, type=3.
DcmUniqueIdentifier | SOPClassUID
| SOPClassUID (0008,0016) vr=UI, vm=1, type=1.
DcmUniqueIdentifier | SOPInstanceUID
| SOPInstanceUID (0008,0018) vr=UI, vm=1, type=1.
DcmCodeString | SpecificCharacterSet
| SpecificCharacterSet (0008,0005) vr=CS, vm=1-n, type=1C.
DcmDate | InstanceCreationDate
| InstanceCreationDate (0008,0012) vr=DA, vm=1, type=3.
DcmTime | InstanceCreationTime
| InstanceCreationTime (0008,0013) vr=TM, vm=1, type=3.
DcmDateTime | InstanceCoercionDateTime
| InstanceCoercionDateTime (0008,0015) vr=DT, vm=1, type=3.
DcmUniqueIdentifier | InstanceCreatorUID
| InstanceCreatorUID (0008,0014) vr=UI, vm=1, type=3.
DcmUniqueIdentifier | RelatedGeneralSOPClassUID
| RelatedGeneralSOPClassUID (0008,001a) vr=UI, vm=1-n, type=3.
DcmUniqueIdentifier | OriginalSpecializedSOPClassUID
| OriginalSpecializedSOPClassUID (0008,001b) vr=UI, vm=1, type=3.
DRTCodingSchemeIdentificationSequence | CodingSchemeIdentificationSequence
| CodingSchemeIdentificationSequence (0008,0110) vr=SQ, vm=1, type=3.
DRTContextGroupIdentificationSequence | ContextGroupIdentificationSequence
| ContextGroupIdentificationSequence (0008,0123) vr=SQ, vm=1, type=3.
DRTMappingResourceIdentificationSequence | MappingResourceIdentificationSequence
| MappingResourceIdentificationSequence (0008,0124) vr=SQ, vm=1, type=3.
DcmShortString | TimezoneOffsetFromUTC
| TimezoneOffsetFromUTC (0008,0201) vr=SH, vm=1, type=3.
DRTContributingEquipmentSequence | ContributingEquipmentSequence
| ContributingEquipmentSequence (0018,a001) vr=SQ, vm=1, type=3.
DcmCodeString | SOPInstanceStatus
| SOPInstanceStatus (0100,0410) vr=CS, vm=1, type=3.
DcmDateTime | SOPAuthorizationDateTime
| SOPAuthorizationDateTime (0100,0420) vr=DT, vm=1, type=3.
DcmLongText | SOPAuthorizationComment
| SOPAuthorizationComment (0100,0424) vr=LT, vm=1, type=3.
DcmLongString | AuthorizationEquipmentCertificationNumber
| AuthorizationEquipmentCertificationNumber (0100,0426) vr=LO, vm=1, type=3.
DRTMACParametersSequence | MACParametersSequence
| MACParametersSequence (4ffe,0001) vr=SQ, vm=1, type=3.
DRTDigitalSignaturesSequence | DigitalSignaturesSequence
| DigitalSignaturesSequence (fffa,fffa) vr=SQ, vm=1, type=3.
DRTEncryptedAttributesSequence | EncryptedAttributesSequence
| EncryptedAttributesSequence (0400,0500) vr=SQ, vm=1, type=1C.
DRTOriginalAttributesSequence | OriginalAttributesSequence
| OriginalAttributesSequence (0400,0561) vr=SQ, vm=1, type=3.
DRTHL7StructuredDocumentReferenceSequence | HL7StructuredDocumentReferenceSequence
| HL7StructuredDocumentReferenceSequence (0040,a390) vr=SQ, vm=1, type=1C.
DcmCodeString | LongitudinalTemporalInformationModified
| LongitudinalTemporalInformationModified (0028,0303) vr=CS, vm=1, type=3.
DcmCodeString | QueryRetrieveView
| QueryRetrieveView (0008,0053) vr=CS, vm=1, type=1C.
DRTConversionSourceAttributesSequence | ConversionSourceAttributesSequence
| ConversionSourceAttributesSequence (0020,9172) vr=SQ, vm=1, type=1C.
DcmCodeString | ContentQualification
| ContentQualification (0018,9004) vr=CS, vm=1, type=3.
DRTPrivateDataElementCharacteristicsSequence | PrivateDataElementCharacteristicsSequence
| PrivateDataElementCharacteristicsSequence (0008,0300) vr=SQ, vm=1, type=3.
DcmCodeString | InstanceOriginStatus
| InstanceOriginStatus (0400,0600) vr=CS, vm=1, type=3.
DcmLongText | BarcodeValue
| BarcodeValue (2200,0005) vr=LT, vm=1, type=3.
DRTReferencedDefinedProtocolSequence | ReferencedDefinedProtocolSequence
| ReferencedDefinedProtocolSequence (0018,990c) vr=SQ, vm=1, type=1C.
DRTReferencedPerformedProtocolSequence | ReferencedPerformedProtocolSequence
| ReferencedPerformedProtocolSequence (0018,990d) vr=SQ, vm=1, type=1C.
DRTReferencedSeriesSequence | ReferencedSeriesSequence
| ReferencedSeriesSequence (0008,1115) vr=SQ, vm=1, type=1C.
DRTStudiesContainingOtherReferencedInstancesSequence | StudiesContainingOtherReferencedInstancesSequence
| StudiesContainingOtherReferencedInstancesSequence (0008,1200) vr=SQ, vm=1, type=1C.

## Additional Inherited Members

Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Interface class for RTStructureSetIOD.

Note
  Because of its many member variables, an instance of this class requires quite some memory. So be careful when creating automatic variables from this class (the stack size might be exceeded); it is probably better to use the heap space.

## Constructor & Destructor Documentation

## DRTStructureSetIOD()

DRTStructureSetIOD::DRTStructureSetIOD | ( | const DRTStructureSetIOD & | copy | ) |

copy constructor

Parameters

  copy | IOD object to be copied

References DRTStructureSetIOD().

## Member Function Documentation

## checkDatasetForReading()

OFCondition DRTStructureSetIOD::checkDatasetForReading | ( | DcmItem & | dataset | ) |

protected

check the given dataset before reading.

This methods checks whether the dataset contains at least the DICOM attribute SOPClassUID (0008,0016) with the expected value. Any incorrectness regarding this attribute is reported to the log stream (if enabled for error messages).

Parameters

  dataset | DICOM dataset to be checked

Returns
  status, EC_Normal if successful, an error code otherwise

## getAccessionNumber()

virtual OFCondition DRTStructureSetIOD::getAccessionNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get AccessionNumber (0008,0050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getAdditionalPatientHistory()

virtual OFCondition DRTStructureSetIOD::getAdditionalPatientHistory | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get AdditionalPatientHistory (0010,21b0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getAdmissionID()

virtual OFCondition DRTStructureSetIOD::getAdmissionID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get AdmissionID (0038,0010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getAdmittingDiagnosesCodeSequence() [1/2]

DRTAdmittingDiagnosesCodeSequence & DRTStructureSetIOD::getAdmittingDiagnosesCodeSequence | ( |  | ) |

inline

get AdmittingDiagnosesCodeSequence (0008,1084)

Returns
  reference to sequence element

References AdmittingDiagnosesCodeSequence.

## getAdmittingDiagnosesCodeSequence() [2/2]

const DRTAdmittingDiagnosesCodeSequence & DRTStructureSetIOD::getAdmittingDiagnosesCodeSequence | ( |  | ) | const

inline

get AdmittingDiagnosesCodeSequence (0008,1084)

Returns
  const reference to sequence element

References AdmittingDiagnosesCodeSequence.

## getAdmittingDiagnosesDescription()

virtual OFCondition DRTStructureSetIOD::getAdmittingDiagnosesDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get AdmittingDiagnosesDescription (0008,1080)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getAllergies()

virtual OFCondition DRTStructureSetIOD::getAllergies | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get Allergies (0010,2110)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getApprovalStatus()

virtual OFCondition DRTStructureSetIOD::getApprovalStatus | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ApprovalStatus (300e,0002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getAuthorizationEquipmentCertificationNumber()

virtual OFCondition DRTStructureSetIOD::getAuthorizationEquipmentCertificationNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get AuthorizationEquipmentCertificationNumber (0100,0426)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getBarcodeValue()

virtual OFCondition DRTStructureSetIOD::getBarcodeValue | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get BarcodeValue (2200,0005)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getBreedRegistrationSequence() [1/2]

DRTBreedRegistrationSequence & DRTStructureSetIOD::getBreedRegistrationSequence | ( |  | ) |

inline

get BreedRegistrationSequence (0010,2294)

Returns
  reference to sequence element

References BreedRegistrationSequence.

## getBreedRegistrationSequence() [2/2]

const DRTBreedRegistrationSequence & DRTStructureSetIOD::getBreedRegistrationSequence | ( |  | ) | const

inline

get BreedRegistrationSequence (0010,2294)

Returns
  const reference to sequence element

References BreedRegistrationSequence.

## getClinicalTrialCoordinatingCenterName()

virtual OFCondition DRTStructureSetIOD::getClinicalTrialCoordinatingCenterName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ClinicalTrialCoordinatingCenterName (0012,0060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getClinicalTrialProtocolEthicsCommitteeApprovalNumber()

virtual OFCondition DRTStructureSetIOD::getClinicalTrialProtocolEthicsCommitteeApprovalNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ClinicalTrialProtocolEthicsCommitteeApprovalNumber (0012,0082)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getClinicalTrialProtocolEthicsCommitteeName()

virtual OFCondition DRTStructureSetIOD::getClinicalTrialProtocolEthicsCommitteeName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ClinicalTrialProtocolEthicsCommitteeName (0012,0081)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getClinicalTrialProtocolID()

virtual OFCondition DRTStructureSetIOD::getClinicalTrialProtocolID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ClinicalTrialProtocolID (0012,0020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getClinicalTrialProtocolName()

virtual OFCondition DRTStructureSetIOD::getClinicalTrialProtocolName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ClinicalTrialProtocolName (0012,0021)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getClinicalTrialSeriesDescription()

virtual OFCondition DRTStructureSetIOD::getClinicalTrialSeriesDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ClinicalTrialSeriesDescription (0012,0072)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getClinicalTrialSeriesID()

virtual OFCondition DRTStructureSetIOD::getClinicalTrialSeriesID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ClinicalTrialSeriesID (0012,0071)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getClinicalTrialSiteID()

virtual OFCondition DRTStructureSetIOD::getClinicalTrialSiteID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ClinicalTrialSiteID (0012,0030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getClinicalTrialSiteName()

virtual OFCondition DRTStructureSetIOD::getClinicalTrialSiteName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ClinicalTrialSiteName (0012,0031)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getClinicalTrialSponsorName()

virtual OFCondition DRTStructureSetIOD::getClinicalTrialSponsorName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ClinicalTrialSponsorName (0012,0010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getClinicalTrialSubjectID()

virtual OFCondition DRTStructureSetIOD::getClinicalTrialSubjectID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ClinicalTrialSubjectID (0012,0040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getClinicalTrialSubjectReadingID()

virtual OFCondition DRTStructureSetIOD::getClinicalTrialSubjectReadingID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ClinicalTrialSubjectReadingID (0012,0042)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getClinicalTrialTimePointDescription()

virtual OFCondition DRTStructureSetIOD::getClinicalTrialTimePointDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ClinicalTrialTimePointDescription (0012,0051)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getClinicalTrialTimePointID()

virtual OFCondition DRTStructureSetIOD::getClinicalTrialTimePointID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ClinicalTrialTimePointID (0012,0050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getClinicalTrialTimePointTypeCodeSequence() [1/2]

DRTClinicalTrialTimePointTypeCodeSequence & DRTStructureSetIOD::getClinicalTrialTimePointTypeCodeSequence | ( |  | ) |

inline

get ClinicalTrialTimePointTypeCodeSequence (0012,0054)

Returns
  reference to sequence element

References ClinicalTrialTimePointTypeCodeSequence.

## getClinicalTrialTimePointTypeCodeSequence() [2/2]

const DRTClinicalTrialTimePointTypeCodeSequence & DRTStructureSetIOD::getClinicalTrialTimePointTypeCodeSequence | ( |  | ) | const

inline

get ClinicalTrialTimePointTypeCodeSequence (0012,0054)

Returns
  const reference to sequence element

References ClinicalTrialTimePointTypeCodeSequence.

## getCodingSchemeIdentificationSequence() [1/2]

DRTCodingSchemeIdentificationSequence & DRTStructureSetIOD::getCodingSchemeIdentificationSequence | ( |  | ) |

inline

get CodingSchemeIdentificationSequence (0008,0110)

Returns
  reference to sequence element

References CodingSchemeIdentificationSequence.

## getCodingSchemeIdentificationSequence() [2/2]

const DRTCodingSchemeIdentificationSequence & DRTStructureSetIOD::getCodingSchemeIdentificationSequence | ( |  | ) | const

inline

get CodingSchemeIdentificationSequence (0008,0110)

Returns
  const reference to sequence element

References CodingSchemeIdentificationSequence.

## getCommentsOnThePerformedProcedureStep()

virtual OFCondition DRTStructureSetIOD::getCommentsOnThePerformedProcedureStep | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get CommentsOnThePerformedProcedureStep (0040,0280)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getConsentForClinicalTrialUseSequence() [1/2]

DRTConsentForClinicalTrialUseSequence & DRTStructureSetIOD::getConsentForClinicalTrialUseSequence | ( |  | ) |

inline

get ConsentForClinicalTrialUseSequence (0012,0083)

Returns
  reference to sequence element

References ConsentForClinicalTrialUseSequence.

## getConsentForClinicalTrialUseSequence() [2/2]

const DRTConsentForClinicalTrialUseSequence & DRTStructureSetIOD::getConsentForClinicalTrialUseSequence | ( |  | ) | const

inline

get ConsentForClinicalTrialUseSequence (0012,0083)

Returns
  const reference to sequence element

References ConsentForClinicalTrialUseSequence.

## getConsultingPhysicianIdentificationSequence() [1/2]

DRTConsultingPhysicianIdentificationSequence & DRTStructureSetIOD::getConsultingPhysicianIdentificationSequence | ( |  | ) |

inline

get ConsultingPhysicianIdentificationSequence (0008,009d)

Returns
  reference to sequence element

References ConsultingPhysicianIdentificationSequence.

## getConsultingPhysicianIdentificationSequence() [2/2]

const DRTConsultingPhysicianIdentificationSequence & DRTStructureSetIOD::getConsultingPhysicianIdentificationSequence | ( |  | ) | const

inline

get ConsultingPhysicianIdentificationSequence (0008,009d)

Returns
  const reference to sequence element

References ConsultingPhysicianIdentificationSequence.

## getConsultingPhysicianName()

virtual OFCondition DRTStructureSetIOD::getConsultingPhysicianName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ConsultingPhysicianName (0008,009c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getContentQualification()

virtual OFCondition DRTStructureSetIOD::getContentQualification | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ContentQualification (0018,9004)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getContextGroupIdentificationSequence() [1/2]

DRTContextGroupIdentificationSequence & DRTStructureSetIOD::getContextGroupIdentificationSequence | ( |  | ) |

inline

get ContextGroupIdentificationSequence (0008,0123)

Returns
  reference to sequence element

References ContextGroupIdentificationSequence.

## getContextGroupIdentificationSequence() [2/2]

const DRTContextGroupIdentificationSequence & DRTStructureSetIOD::getContextGroupIdentificationSequence | ( |  | ) | const

inline

get ContextGroupIdentificationSequence (0008,0123)

Returns
  const reference to sequence element

References ContextGroupIdentificationSequence.

## getContributingEquipmentSequence() [1/2]

DRTContributingEquipmentSequence & DRTStructureSetIOD::getContributingEquipmentSequence | ( |  | ) |

inline

get ContributingEquipmentSequence (0018,a001)

Returns
  reference to sequence element

References ContributingEquipmentSequence.

## getContributingEquipmentSequence() [2/2]

const DRTContributingEquipmentSequence & DRTStructureSetIOD::getContributingEquipmentSequence | ( |  | ) | const

inline

get ContributingEquipmentSequence (0018,a001)

Returns
  const reference to sequence element

References ContributingEquipmentSequence.

## getConversionSourceAttributesSequence() [1/2]

DRTConversionSourceAttributesSequence & DRTStructureSetIOD::getConversionSourceAttributesSequence | ( |  | ) |

inline

get ConversionSourceAttributesSequence (0020,9172)

Returns
  reference to sequence element

References ConversionSourceAttributesSequence.

## getConversionSourceAttributesSequence() [2/2]

const DRTConversionSourceAttributesSequence & DRTStructureSetIOD::getConversionSourceAttributesSequence | ( |  | ) | const

inline

get ConversionSourceAttributesSequence (0020,9172)

Returns
  const reference to sequence element

References ConversionSourceAttributesSequence.

## getDateOfLastCalibration()

virtual OFCondition DRTStructureSetIOD::getDateOfLastCalibration | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get DateOfLastCalibration (0018,1200)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDeidentificationMethod()

virtual OFCondition DRTStructureSetIOD::getDeidentificationMethod | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get DeidentificationMethod (0012,0063)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDeidentificationMethodCodeSequence() [1/2]

DRTDeidentificationMethodCodeSequence & DRTStructureSetIOD::getDeidentificationMethodCodeSequence | ( |  | ) |

inline

get DeidentificationMethodCodeSequence (0012,0064)

Returns
  reference to sequence element

References DeidentificationMethodCodeSequence.

## getDeidentificationMethodCodeSequence() [2/2]

const DRTDeidentificationMethodCodeSequence & DRTStructureSetIOD::getDeidentificationMethodCodeSequence | ( |  | ) | const

inline

get DeidentificationMethodCodeSequence (0012,0064)

Returns
  const reference to sequence element

References DeidentificationMethodCodeSequence.

## getDerivationCodeSequence() [1/2]

DRTDerivationCodeSequence & DRTStructureSetIOD::getDerivationCodeSequence | ( |  | ) |

inline

get DerivationCodeSequence (0008,9215)

Returns
  reference to sequence element

References DerivationCodeSequence.

## getDerivationCodeSequence() [2/2]

const DRTDerivationCodeSequence & DRTStructureSetIOD::getDerivationCodeSequence | ( |  | ) | const

inline

get DerivationCodeSequence (0008,9215)

Returns
  const reference to sequence element

References DerivationCodeSequence.

## getDerivationDescription()

virtual OFCondition DRTStructureSetIOD::getDerivationDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get DerivationDescription (0008,2111)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDeviceSerialNumber()

virtual OFCondition DRTStructureSetIOD::getDeviceSerialNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get DeviceSerialNumber (0018,1000)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDeviceUID()

virtual OFCondition DRTStructureSetIOD::getDeviceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get DeviceUID (0018,1002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDigitalSignaturesSequence() [1/2]

DRTDigitalSignaturesSequence & DRTStructureSetIOD::getDigitalSignaturesSequence | ( |  | ) |

inline

get DigitalSignaturesSequence (fffa,fffa)

Returns
  reference to sequence element

References DigitalSignaturesSequence.

## getDigitalSignaturesSequence() [2/2]

const DRTDigitalSignaturesSequence & DRTStructureSetIOD::getDigitalSignaturesSequence | ( |  | ) | const

inline

get DigitalSignaturesSequence (fffa,fffa)

Returns
  const reference to sequence element

References DigitalSignaturesSequence.

## getEncryptedAttributesSequence() [1/2]

DRTEncryptedAttributesSequence & DRTStructureSetIOD::getEncryptedAttributesSequence | ( |  | ) |

inline

get EncryptedAttributesSequence (0400,0500)

Returns
  reference to sequence element

References EncryptedAttributesSequence.

## getEncryptedAttributesSequence() [2/2]

const DRTEncryptedAttributesSequence & DRTStructureSetIOD::getEncryptedAttributesSequence | ( |  | ) | const

inline

get EncryptedAttributesSequence (0400,0500)

Returns
  const reference to sequence element

References EncryptedAttributesSequence.

## getEthnicGroup()

virtual OFCondition DRTStructureSetIOD::getEthnicGroup | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get EthnicGroup (0010,2160)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getFrameOfReferenceUID()

virtual OFCondition DRTStructureSetIOD::getFrameOfReferenceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get FrameOfReferenceUID (0020,0052)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getGantryID()

virtual OFCondition DRTStructureSetIOD::getGantryID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get GantryID (0018,1008)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getGeneticModificationsSequence() [1/2]

DRTGeneticModificationsSequence & DRTStructureSetIOD::getGeneticModificationsSequence | ( |  | ) |

inline

get GeneticModificationsSequence (0010,0221)

Returns
  reference to sequence element

References GeneticModificationsSequence.

## getGeneticModificationsSequence() [2/2]

const DRTGeneticModificationsSequence & DRTStructureSetIOD::getGeneticModificationsSequence | ( |  | ) | const

inline

get GeneticModificationsSequence (0010,0221)

Returns
  const reference to sequence element

References GeneticModificationsSequence.

## getGroupOfPatientsIdentificationSequence() [1/2]

DRTGroupOfPatientsIdentificationSequence & DRTStructureSetIOD::getGroupOfPatientsIdentificationSequence | ( |  | ) |

inline

get GroupOfPatientsIdentificationSequence (0010,0027)

Returns
  reference to sequence element

References GroupOfPatientsIdentificationSequence.

## getGroupOfPatientsIdentificationSequence() [2/2]

const DRTGroupOfPatientsIdentificationSequence & DRTStructureSetIOD::getGroupOfPatientsIdentificationSequence | ( |  | ) | const

inline

get GroupOfPatientsIdentificationSequence (0010,0027)

Returns
  const reference to sequence element

References GroupOfPatientsIdentificationSequence.

## getHL7StructuredDocumentReferenceSequence() [1/2]

DRTHL7StructuredDocumentReferenceSequence & DRTStructureSetIOD::getHL7StructuredDocumentReferenceSequence | ( |  | ) |

inline

get HL7StructuredDocumentReferenceSequence (0040,a390)

Returns
  reference to sequence element

References HL7StructuredDocumentReferenceSequence.

## getHL7StructuredDocumentReferenceSequence() [2/2]

const DRTHL7StructuredDocumentReferenceSequence & DRTStructureSetIOD::getHL7StructuredDocumentReferenceSequence | ( |  | ) | const

inline

get HL7StructuredDocumentReferenceSequence (0040,a390)

Returns
  const reference to sequence element

References HL7StructuredDocumentReferenceSequence.

## getInstanceCoercionDateTime()

virtual OFCondition DRTStructureSetIOD::getInstanceCoercionDateTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get InstanceCoercionDateTime (0008,0015)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getInstanceCreationDate()

virtual OFCondition DRTStructureSetIOD::getInstanceCreationDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get InstanceCreationDate (0008,0012)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getInstanceCreationTime()

virtual OFCondition DRTStructureSetIOD::getInstanceCreationTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get InstanceCreationTime (0008,0013)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getInstanceCreatorUID()

virtual OFCondition DRTStructureSetIOD::getInstanceCreatorUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get InstanceCreatorUID (0008,0014)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getInstanceNumber() [1/2]

virtual OFCondition DRTStructureSetIOD::getInstanceNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get InstanceNumber (0020,0013)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getInstanceNumber() [2/2]

virtual OFCondition DRTStructureSetIOD::getInstanceNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

virtual

get InstanceNumber (0020,0013)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getInstanceOriginStatus()

virtual OFCondition DRTStructureSetIOD::getInstanceOriginStatus | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get InstanceOriginStatus (0400,0600)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getInstitutionAddress()

virtual OFCondition DRTStructureSetIOD::getInstitutionAddress | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get InstitutionAddress (0008,0081)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getInstitutionalDepartmentName()

virtual OFCondition DRTStructureSetIOD::getInstitutionalDepartmentName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get InstitutionalDepartmentName (0008,1040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getInstitutionalDepartmentTypeCodeSequence() [1/2]

DRTInstitutionalDepartmentTypeCodeSequence & DRTStructureSetIOD::getInstitutionalDepartmentTypeCodeSequence | ( |  | ) |

inline

get InstitutionalDepartmentTypeCodeSequence (0008,1041)

Returns
  reference to sequence element

References InstitutionalDepartmentTypeCodeSequence.

## getInstitutionalDepartmentTypeCodeSequence() [2/2]

const DRTInstitutionalDepartmentTypeCodeSequence & DRTStructureSetIOD::getInstitutionalDepartmentTypeCodeSequence | ( |  | ) | const

inline

get InstitutionalDepartmentTypeCodeSequence (0008,1041)

Returns
  const reference to sequence element

References InstitutionalDepartmentTypeCodeSequence.

## getInstitutionName()

virtual OFCondition DRTStructureSetIOD::getInstitutionName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get InstitutionName (0008,0080)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getIssuerOfAccessionNumberSequence() [1/2]

DRTIssuerOfAccessionNumberSequence & DRTStructureSetIOD::getIssuerOfAccessionNumberSequence | ( |  | ) |

inline

get IssuerOfAccessionNumberSequence (0008,0051)

Returns
  reference to sequence element

References IssuerOfAccessionNumberSequence.

## getIssuerOfAccessionNumberSequence() [2/2]

const DRTIssuerOfAccessionNumberSequence & DRTStructureSetIOD::getIssuerOfAccessionNumberSequence | ( |  | ) | const

inline

get IssuerOfAccessionNumberSequence (0008,0051)

Returns
  const reference to sequence element

References IssuerOfAccessionNumberSequence.

## getIssuerOfAdmissionIDSequence() [1/2]

DRTIssuerOfAdmissionIDSequence & DRTStructureSetIOD::getIssuerOfAdmissionIDSequence | ( |  | ) |

inline

get IssuerOfAdmissionIDSequence (0038,0014)

Returns
  reference to sequence element

References IssuerOfAdmissionIDSequence.

## getIssuerOfAdmissionIDSequence() [2/2]

const DRTIssuerOfAdmissionIDSequence & DRTStructureSetIOD::getIssuerOfAdmissionIDSequence | ( |  | ) | const

inline

get IssuerOfAdmissionIDSequence (0038,0014)

Returns
  const reference to sequence element

References IssuerOfAdmissionIDSequence.

## getIssuerOfPatientID()

virtual OFCondition DRTStructureSetIOD::getIssuerOfPatientID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get IssuerOfPatientID (0010,0021)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getIssuerOfPatientIDQualifiersSequence() [1/2]

DRTIssuerOfPatientIDQualifiersSequence & DRTStructureSetIOD::getIssuerOfPatientIDQualifiersSequence | ( |  | ) |

inline

get IssuerOfPatientIDQualifiersSequence (0010,0024)

Returns
  reference to sequence element

References IssuerOfPatientIDQualifiersSequence.

## getIssuerOfPatientIDQualifiersSequence() [2/2]

const DRTIssuerOfPatientIDQualifiersSequence & DRTStructureSetIOD::getIssuerOfPatientIDQualifiersSequence | ( |  | ) | const

inline

get IssuerOfPatientIDQualifiersSequence (0010,0024)

Returns
  const reference to sequence element

References IssuerOfPatientIDQualifiersSequence.

## getIssuerOfServiceEpisodeIDSequence() [1/2]

DRTIssuerOfServiceEpisodeIDSequence & DRTStructureSetIOD::getIssuerOfServiceEpisodeIDSequence | ( |  | ) |

inline

get IssuerOfServiceEpisodeIDSequence (0038,0064)

Returns
  reference to sequence element

References IssuerOfServiceEpisodeIDSequence.

## getIssuerOfServiceEpisodeIDSequence() [2/2]

const DRTIssuerOfServiceEpisodeIDSequence & DRTStructureSetIOD::getIssuerOfServiceEpisodeIDSequence | ( |  | ) | const

inline

get IssuerOfServiceEpisodeIDSequence (0038,0064)

Returns
  const reference to sequence element

References IssuerOfServiceEpisodeIDSequence.

## getLastMenstrualDate()

virtual OFCondition DRTStructureSetIOD::getLastMenstrualDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get LastMenstrualDate (0010,21d0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getLongitudinalTemporalEventType()

virtual OFCondition DRTStructureSetIOD::getLongitudinalTemporalEventType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get LongitudinalTemporalEventType (0012,0053)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getLongitudinalTemporalInformationModified()

virtual OFCondition DRTStructureSetIOD::getLongitudinalTemporalInformationModified | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get LongitudinalTemporalInformationModified (0028,0303)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getLongitudinalTemporalOffsetFromEvent()

virtual OFCondition DRTStructureSetIOD::getLongitudinalTemporalOffsetFromEvent | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

virtual

get LongitudinalTemporalOffsetFromEvent (0012,0052)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getMACParametersSequence() [1/2]

DRTMACParametersSequence & DRTStructureSetIOD::getMACParametersSequence | ( |  | ) |

inline

get MACParametersSequence (4ffe,0001)

Returns
  reference to sequence element

References MACParametersSequence.

## getMACParametersSequence() [2/2]

const DRTMACParametersSequence & DRTStructureSetIOD::getMACParametersSequence | ( |  | ) | const

inline

get MACParametersSequence (4ffe,0001)

Returns
  const reference to sequence element

References MACParametersSequence.

## getManufacturer()

virtual OFCondition DRTStructureSetIOD::getManufacturer | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get Manufacturer (0008,0070)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getManufacturerDeviceClassUID()

virtual OFCondition DRTStructureSetIOD::getManufacturerDeviceClassUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ManufacturerDeviceClassUID (0018,100b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getManufacturerModelName()

virtual OFCondition DRTStructureSetIOD::getManufacturerModelName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ManufacturerModelName (0008,1090)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getMappingResourceIdentificationSequence() [1/2]

DRTMappingResourceIdentificationSequence & DRTStructureSetIOD::getMappingResourceIdentificationSequence | ( |  | ) |

inline

get MappingResourceIdentificationSequence (0008,0124)

Returns
  reference to sequence element

References MappingResourceIdentificationSequence.

## getMappingResourceIdentificationSequence() [2/2]

const DRTMappingResourceIdentificationSequence & DRTStructureSetIOD::getMappingResourceIdentificationSequence | ( |  | ) | const

inline

get MappingResourceIdentificationSequence (0008,0124)

Returns
  const reference to sequence element

References MappingResourceIdentificationSequence.

## getMeasuredAPDimension() [1/2]

virtual OFCondition DRTStructureSetIOD::getMeasuredAPDimension | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

virtual

get MeasuredAPDimension (0010,1023)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getMeasuredAPDimension() [2/2]

virtual OFCondition DRTStructureSetIOD::getMeasuredAPDimension | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get MeasuredAPDimension (0010,1023)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getMeasuredLateralDimension() [1/2]

virtual OFCondition DRTStructureSetIOD::getMeasuredLateralDimension | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

virtual

get MeasuredLateralDimension (0010,1024)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getMeasuredLateralDimension() [2/2]

virtual OFCondition DRTStructureSetIOD::getMeasuredLateralDimension | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get MeasuredLateralDimension (0010,1024)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getMedicalAlerts()

virtual OFCondition DRTStructureSetIOD::getMedicalAlerts | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get MedicalAlerts (0010,2000)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getModality()

virtual OFCondition DRTStructureSetIOD::getModality | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get Modality (0008,0060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getNameOfPhysiciansReadingStudy()

virtual OFCondition DRTStructureSetIOD::getNameOfPhysiciansReadingStudy | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get NameOfPhysiciansReadingStudy (0008,1060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getOccupation()

virtual OFCondition DRTStructureSetIOD::getOccupation | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get Occupation (0010,2180)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getOperatorIdentificationSequence() [1/2]

DRTOperatorIdentificationSequence & DRTStructureSetIOD::getOperatorIdentificationSequence | ( |  | ) |

inline

get OperatorIdentificationSequence (0008,1072)

Returns
  reference to sequence element

References OperatorIdentificationSequence.

## getOperatorIdentificationSequence() [2/2]

const DRTOperatorIdentificationSequence & DRTStructureSetIOD::getOperatorIdentificationSequence | ( |  | ) | const

inline

get OperatorIdentificationSequence (0008,1072)

Returns
  const reference to sequence element

References OperatorIdentificationSequence.

## getOperatorsName()

virtual OFCondition DRTStructureSetIOD::getOperatorsName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get OperatorsName (0008,1070)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getOriginalAttributesSequence() [1/2]

DRTOriginalAttributesSequence & DRTStructureSetIOD::getOriginalAttributesSequence | ( |  | ) |

inline

get OriginalAttributesSequence (0400,0561)

Returns
  reference to sequence element

References OriginalAttributesSequence.

## getOriginalAttributesSequence() [2/2]

const DRTOriginalAttributesSequence & DRTStructureSetIOD::getOriginalAttributesSequence | ( |  | ) | const

inline

get OriginalAttributesSequence (0400,0561)

Returns
  const reference to sequence element

References OriginalAttributesSequence.

## getOriginalSpecializedSOPClassUID()

virtual OFCondition DRTStructureSetIOD::getOriginalSpecializedSOPClassUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get OriginalSpecializedSOPClassUID (0008,001b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getOtherPatientIDsSequence() [1/2]

DRTOtherPatientIDsSequence & DRTStructureSetIOD::getOtherPatientIDsSequence | ( |  | ) |

inline

get OtherPatientIDsSequence (0010,1002)

Returns
  reference to sequence element

References OtherPatientIDsSequence.

## getOtherPatientIDsSequence() [2/2]

const DRTOtherPatientIDsSequence & DRTStructureSetIOD::getOtherPatientIDsSequence | ( |  | ) | const

inline

get OtherPatientIDsSequence (0010,1002)

Returns
  const reference to sequence element

References OtherPatientIDsSequence.

## getOtherPatientNames()

virtual OFCondition DRTStructureSetIOD::getOtherPatientNames | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get OtherPatientNames (0010,1001)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientAge()

virtual OFCondition DRTStructureSetIOD::getPatientAge | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientAge (0010,1010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientAlternativeCalendar()

virtual OFCondition DRTStructureSetIOD::getPatientAlternativeCalendar | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientAlternativeCalendar (0010,0035)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientBirthDate()

virtual OFCondition DRTStructureSetIOD::getPatientBirthDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientBirthDate (0010,0030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientBirthDateInAlternativeCalendar()

virtual OFCondition DRTStructureSetIOD::getPatientBirthDateInAlternativeCalendar | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientBirthDateInAlternativeCalendar (0010,0033)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientBirthTime()

virtual OFCondition DRTStructureSetIOD::getPatientBirthTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientBirthTime (0010,0032)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientBodyMassIndex() [1/2]

virtual OFCondition DRTStructureSetIOD::getPatientBodyMassIndex | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

virtual

get PatientBodyMassIndex (0010,1022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientBodyMassIndex() [2/2]

virtual OFCondition DRTStructureSetIOD::getPatientBodyMassIndex | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientBodyMassIndex (0010,1022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientBreedCodeSequence() [1/2]

DRTPatientBreedCodeSequence & DRTStructureSetIOD::getPatientBreedCodeSequence | ( |  | ) |

inline

get PatientBreedCodeSequence (0010,2293)

Returns
  reference to sequence element

References PatientBreedCodeSequence.

## getPatientBreedCodeSequence() [2/2]

const DRTPatientBreedCodeSequence & DRTStructureSetIOD::getPatientBreedCodeSequence | ( |  | ) | const

inline

get PatientBreedCodeSequence (0010,2293)

Returns
  const reference to sequence element

References PatientBreedCodeSequence.

## getPatientBreedDescription()

virtual OFCondition DRTStructureSetIOD::getPatientBreedDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientBreedDescription (0010,2292)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientComments()

virtual OFCondition DRTStructureSetIOD::getPatientComments | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientComments (0010,4000)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientDeathDateInAlternativeCalendar()

virtual OFCondition DRTStructureSetIOD::getPatientDeathDateInAlternativeCalendar | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientDeathDateInAlternativeCalendar (0010,0034)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientID()

virtual OFCondition DRTStructureSetIOD::getPatientID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientID (0010,0020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientIdentityRemoved()

virtual OFCondition DRTStructureSetIOD::getPatientIdentityRemoved | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientIdentityRemoved (0012,0062)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientName()

virtual OFCondition DRTStructureSetIOD::getPatientName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientName (0010,0010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientSex()

virtual OFCondition DRTStructureSetIOD::getPatientSex | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientSex (0010,0040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientSexNeutered()

virtual OFCondition DRTStructureSetIOD::getPatientSexNeutered | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientSexNeutered (0010,2203)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientSize() [1/2]

virtual OFCondition DRTStructureSetIOD::getPatientSize | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

virtual

get PatientSize (0010,1020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientSize() [2/2]

virtual OFCondition DRTStructureSetIOD::getPatientSize | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientSize (0010,1020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientSizeCodeSequence() [1/2]

DRTPatientSizeCodeSequence & DRTStructureSetIOD::getPatientSizeCodeSequence | ( |  | ) |

inline

get PatientSizeCodeSequence (0010,1021)

Returns
  reference to sequence element

References PatientSizeCodeSequence.

## getPatientSizeCodeSequence() [2/2]

const DRTPatientSizeCodeSequence & DRTStructureSetIOD::getPatientSizeCodeSequence | ( |  | ) | const

inline

get PatientSizeCodeSequence (0010,1021)

Returns
  const reference to sequence element

References PatientSizeCodeSequence.

## getPatientSpeciesCodeSequence() [1/2]

DRTPatientSpeciesCodeSequence & DRTStructureSetIOD::getPatientSpeciesCodeSequence | ( |  | ) |

inline

get PatientSpeciesCodeSequence (0010,2202)

Returns
  reference to sequence element

References PatientSpeciesCodeSequence.

## getPatientSpeciesCodeSequence() [2/2]

const DRTPatientSpeciesCodeSequence & DRTStructureSetIOD::getPatientSpeciesCodeSequence | ( |  | ) | const

inline

get PatientSpeciesCodeSequence (0010,2202)

Returns
  const reference to sequence element

References PatientSpeciesCodeSequence.

## getPatientSpeciesDescription()

virtual OFCondition DRTStructureSetIOD::getPatientSpeciesDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientSpeciesDescription (0010,2201)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientState()

virtual OFCondition DRTStructureSetIOD::getPatientState | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientState (0038,0500)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientWeight() [1/2]

virtual OFCondition DRTStructureSetIOD::getPatientWeight | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

virtual

get PatientWeight (0010,1030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getPatientWeight() [2/2]

virtual OFCondition DRTStructureSetIOD::getPatientWeight | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PatientWeight (0010,1030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPerformedProcedureStepDescription()

virtual OFCondition DRTStructureSetIOD::getPerformedProcedureStepDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PerformedProcedureStepDescription (0040,0254)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPerformedProcedureStepEndDate()

virtual OFCondition DRTStructureSetIOD::getPerformedProcedureStepEndDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PerformedProcedureStepEndDate (0040,0250)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPerformedProcedureStepEndTime()

virtual OFCondition DRTStructureSetIOD::getPerformedProcedureStepEndTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PerformedProcedureStepEndTime (0040,0251)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPerformedProcedureStepID()

virtual OFCondition DRTStructureSetIOD::getPerformedProcedureStepID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PerformedProcedureStepID (0040,0253)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPerformedProcedureStepStartDate()

virtual OFCondition DRTStructureSetIOD::getPerformedProcedureStepStartDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PerformedProcedureStepStartDate (0040,0244)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPerformedProcedureStepStartTime()

virtual OFCondition DRTStructureSetIOD::getPerformedProcedureStepStartTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PerformedProcedureStepStartTime (0040,0245)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPerformedProtocolCodeSequence() [1/2]

DRTPerformedProtocolCodeSequence & DRTStructureSetIOD::getPerformedProtocolCodeSequence | ( |  | ) |

inline

get PerformedProtocolCodeSequence (0040,0260)

Returns
  reference to sequence element

References PerformedProtocolCodeSequence.

## getPerformedProtocolCodeSequence() [2/2]

const DRTPerformedProtocolCodeSequence & DRTStructureSetIOD::getPerformedProtocolCodeSequence | ( |  | ) | const

inline

get PerformedProtocolCodeSequence (0040,0260)

Returns
  const reference to sequence element

References PerformedProtocolCodeSequence.

## getPhysiciansOfRecord()

virtual OFCondition DRTStructureSetIOD::getPhysiciansOfRecord | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PhysiciansOfRecord (0008,1048)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPhysiciansOfRecordIdentificationSequence() [1/2]

DRTPhysiciansOfRecordIdentificationSequence & DRTStructureSetIOD::getPhysiciansOfRecordIdentificationSequence | ( |  | ) |

inline

get PhysiciansOfRecordIdentificationSequence (0008,1049)

Returns
  reference to sequence element

References PhysiciansOfRecordIdentificationSequence.

## getPhysiciansOfRecordIdentificationSequence() [2/2]

const DRTPhysiciansOfRecordIdentificationSequence & DRTStructureSetIOD::getPhysiciansOfRecordIdentificationSequence | ( |  | ) | const

inline

get PhysiciansOfRecordIdentificationSequence (0008,1049)

Returns
  const reference to sequence element

References PhysiciansOfRecordIdentificationSequence.

## getPhysiciansReadingStudyIdentificationSequence() [1/2]

DRTPhysiciansReadingStudyIdentificationSequence & DRTStructureSetIOD::getPhysiciansReadingStudyIdentificationSequence | ( |  | ) |

inline

get PhysiciansReadingStudyIdentificationSequence (0008,1062)

Returns
  reference to sequence element

References PhysiciansReadingStudyIdentificationSequence.

## getPhysiciansReadingStudyIdentificationSequence() [2/2]

const DRTPhysiciansReadingStudyIdentificationSequence & DRTStructureSetIOD::getPhysiciansReadingStudyIdentificationSequence | ( |  | ) | const

inline

get PhysiciansReadingStudyIdentificationSequence (0008,1062)

Returns
  const reference to sequence element

References PhysiciansReadingStudyIdentificationSequence.

## getPixelPaddingValue()

virtual OFCondition DRTStructureSetIOD::getPixelPaddingValue | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

virtual

get PixelPaddingValue (0028,0120)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getPositionReferenceIndicator()

virtual OFCondition DRTStructureSetIOD::getPositionReferenceIndicator | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get PositionReferenceIndicator (0020,1040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getPredecessorStructureSetSequence() [1/2]

DRTPredecessorStructureSetSequence & DRTStructureSetIOD::getPredecessorStructureSetSequence | ( |  | ) |

inline

get PredecessorStructureSetSequence (3006,0018)

Returns
  reference to sequence element

References PredecessorStructureSetSequence.

## getPredecessorStructureSetSequence() [2/2]

const DRTPredecessorStructureSetSequence & DRTStructureSetIOD::getPredecessorStructureSetSequence | ( |  | ) | const

inline

get PredecessorStructureSetSequence (3006,0018)

Returns
  const reference to sequence element

References PredecessorStructureSetSequence.

## getPregnancyStatus()

virtual OFCondition DRTStructureSetIOD::getPregnancyStatus | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

virtual

get PregnancyStatus (0010,21c0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getPrivateDataElementCharacteristicsSequence() [1/2]

DRTPrivateDataElementCharacteristicsSequence & DRTStructureSetIOD::getPrivateDataElementCharacteristicsSequence | ( |  | ) |

inline

get PrivateDataElementCharacteristicsSequence (0008,0300)

Returns
  reference to sequence element

References PrivateDataElementCharacteristicsSequence.

## getPrivateDataElementCharacteristicsSequence() [2/2]

const DRTPrivateDataElementCharacteristicsSequence & DRTStructureSetIOD::getPrivateDataElementCharacteristicsSequence | ( |  | ) | const

inline

get PrivateDataElementCharacteristicsSequence (0008,0300)

Returns
  const reference to sequence element

References PrivateDataElementCharacteristicsSequence.

## getProcedureCodeSequence() [1/2]

DRTProcedureCodeSequence & DRTStructureSetIOD::getProcedureCodeSequence | ( |  | ) |

inline

get ProcedureCodeSequence (0008,1032)

Returns
  reference to sequence element

References ProcedureCodeSequence.

## getProcedureCodeSequence() [2/2]

const DRTProcedureCodeSequence & DRTStructureSetIOD::getProcedureCodeSequence | ( |  | ) | const

inline

get ProcedureCodeSequence (0008,1032)

Returns
  const reference to sequence element

References ProcedureCodeSequence.

## getQualityControlSubject()

virtual OFCondition DRTStructureSetIOD::getQualityControlSubject | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get QualityControlSubject (0010,0200)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getQueryRetrieveView()

virtual OFCondition DRTStructureSetIOD::getQueryRetrieveView | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get QueryRetrieveView (0008,0053)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getReasonForPerformedProcedureCodeSequence() [1/2]

DRTReasonForPerformedProcedureCodeSequence & DRTStructureSetIOD::getReasonForPerformedProcedureCodeSequence | ( |  | ) |

inline

get ReasonForPerformedProcedureCodeSequence (0040,1012)

Returns
  reference to sequence element

References ReasonForPerformedProcedureCodeSequence.

## getReasonForPerformedProcedureCodeSequence() [2/2]

const DRTReasonForPerformedProcedureCodeSequence & DRTStructureSetIOD::getReasonForPerformedProcedureCodeSequence | ( |  | ) | const

inline

get ReasonForPerformedProcedureCodeSequence (0040,1012)

Returns
  const reference to sequence element

References ReasonForPerformedProcedureCodeSequence.

## getReasonForVisit()

virtual OFCondition DRTStructureSetIOD::getReasonForVisit | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ReasonForVisit (0032,1066)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getReasonForVisitCodeSequence() [1/2]

DRTReasonForVisitCodeSequence & DRTStructureSetIOD::getReasonForVisitCodeSequence | ( |  | ) |

inline

get ReasonForVisitCodeSequence (0032,1067)

Returns
  reference to sequence element

References ReasonForVisitCodeSequence.

## getReasonForVisitCodeSequence() [2/2]

const DRTReasonForVisitCodeSequence & DRTStructureSetIOD::getReasonForVisitCodeSequence | ( |  | ) | const

inline

get ReasonForVisitCodeSequence (0032,1067)

Returns
  const reference to sequence element

References ReasonForVisitCodeSequence.

## getReferencedDefinedProtocolSequence() [1/2]

DRTReferencedDefinedProtocolSequence & DRTStructureSetIOD::getReferencedDefinedProtocolSequence | ( |  | ) |

inline

get ReferencedDefinedProtocolSequence (0018,990c)

Returns
  reference to sequence element

References ReferencedDefinedProtocolSequence.

## getReferencedDefinedProtocolSequence() [2/2]

const DRTReferencedDefinedProtocolSequence & DRTStructureSetIOD::getReferencedDefinedProtocolSequence | ( |  | ) | const

inline

get ReferencedDefinedProtocolSequence (0018,990c)

Returns
  const reference to sequence element

References ReferencedDefinedProtocolSequence.

## getReferencedFrameOfReferenceSequence() [1/2]

DRTReferencedFrameOfReferenceSequence & DRTStructureSetIOD::getReferencedFrameOfReferenceSequence | ( |  | ) |

inline

get ReferencedFrameOfReferenceSequence (3006,0010)

Returns
  reference to sequence element

References ReferencedFrameOfReferenceSequence.

## getReferencedFrameOfReferenceSequence() [2/2]

const DRTReferencedFrameOfReferenceSequence & DRTStructureSetIOD::getReferencedFrameOfReferenceSequence | ( |  | ) | const

inline

get ReferencedFrameOfReferenceSequence (3006,0010)

Returns
  const reference to sequence element

References ReferencedFrameOfReferenceSequence.

## getReferencedImageSequence() [1/2]

DRTReferencedImageSequence & DRTStructureSetIOD::getReferencedImageSequence | ( |  | ) |

inline

get ReferencedImageSequence (0008,1140)

Returns
  reference to sequence element

References ReferencedImageSequence.

## getReferencedImageSequence() [2/2]

const DRTReferencedImageSequence & DRTStructureSetIOD::getReferencedImageSequence | ( |  | ) | const

inline

get ReferencedImageSequence (0008,1140)

Returns
  const reference to sequence element

References ReferencedImageSequence.

## getReferencedInstanceSequence() [1/2]

DRTReferencedInstanceSequence & DRTStructureSetIOD::getReferencedInstanceSequence | ( |  | ) |

inline

get ReferencedInstanceSequence (0008,114a)

Returns
  reference to sequence element

References ReferencedInstanceSequence.

## getReferencedInstanceSequence() [2/2]

const DRTReferencedInstanceSequence & DRTStructureSetIOD::getReferencedInstanceSequence | ( |  | ) | const

inline

get ReferencedInstanceSequence (0008,114a)

Returns
  const reference to sequence element

References ReferencedInstanceSequence.

## getReferencedPatientPhotoSequence() [1/2]

DRTReferencedPatientPhotoSequence & DRTStructureSetIOD::getReferencedPatientPhotoSequence | ( |  | ) |

inline

get ReferencedPatientPhotoSequence (0010,1100)

Returns
  reference to sequence element

References ReferencedPatientPhotoSequence.

## getReferencedPatientPhotoSequence() [2/2]

const DRTReferencedPatientPhotoSequence & DRTStructureSetIOD::getReferencedPatientPhotoSequence | ( |  | ) | const

inline

get ReferencedPatientPhotoSequence (0010,1100)

Returns
  const reference to sequence element

References ReferencedPatientPhotoSequence.

## getReferencedPatientSequence() [1/2]

DRTReferencedPatientSequence & DRTStructureSetIOD::getReferencedPatientSequence | ( |  | ) |

inline

get ReferencedPatientSequence (0008,1120)

Returns
  reference to sequence element

References ReferencedPatientSequence.

## getReferencedPatientSequence() [2/2]

const DRTReferencedPatientSequence & DRTStructureSetIOD::getReferencedPatientSequence | ( |  | ) | const

inline

get ReferencedPatientSequence (0008,1120)

Returns
  const reference to sequence element

References ReferencedPatientSequence.

## getReferencedPerformedProcedureStepSequence() [1/2]

DRTReferencedPerformedProcedureStepSequence & DRTStructureSetIOD::getReferencedPerformedProcedureStepSequence | ( |  | ) |

inline

get ReferencedPerformedProcedureStepSequence (0008,1111)

Returns
  reference to sequence element

References ReferencedPerformedProcedureStepSequence.

## getReferencedPerformedProcedureStepSequence() [2/2]

const DRTReferencedPerformedProcedureStepSequence & DRTStructureSetIOD::getReferencedPerformedProcedureStepSequence | ( |  | ) | const

inline

get ReferencedPerformedProcedureStepSequence (0008,1111)

Returns
  const reference to sequence element

References ReferencedPerformedProcedureStepSequence.

## getReferencedPerformedProtocolSequence() [1/2]

DRTReferencedPerformedProtocolSequence & DRTStructureSetIOD::getReferencedPerformedProtocolSequence | ( |  | ) |

inline

get ReferencedPerformedProtocolSequence (0018,990d)

Returns
  reference to sequence element

References ReferencedPerformedProtocolSequence.

## getReferencedPerformedProtocolSequence() [2/2]

const DRTReferencedPerformedProtocolSequence & DRTStructureSetIOD::getReferencedPerformedProtocolSequence | ( |  | ) | const

inline

get ReferencedPerformedProtocolSequence (0018,990d)

Returns
  const reference to sequence element

References ReferencedPerformedProtocolSequence.

## getReferencedSeriesSequence() [1/2]

DRTReferencedSeriesSequence & DRTStructureSetIOD::getReferencedSeriesSequence | ( |  | ) |

inline

get ReferencedSeriesSequence (0008,1115)

Returns
  reference to sequence element

References ReferencedSeriesSequence.

## getReferencedSeriesSequence() [2/2]

const DRTReferencedSeriesSequence & DRTStructureSetIOD::getReferencedSeriesSequence | ( |  | ) | const

inline

get ReferencedSeriesSequence (0008,1115)

Returns
  const reference to sequence element

References ReferencedSeriesSequence.

## getReferencedStudySequence() [1/2]

DRTReferencedStudySequence & DRTStructureSetIOD::getReferencedStudySequence | ( |  | ) |

inline

get ReferencedStudySequence (0008,1110)

Returns
  reference to sequence element

References ReferencedStudySequence.

## getReferencedStudySequence() [2/2]

const DRTReferencedStudySequence & DRTStructureSetIOD::getReferencedStudySequence | ( |  | ) | const

inline

get ReferencedStudySequence (0008,1110)

Returns
  const reference to sequence element

References ReferencedStudySequence.

## getReferringPhysicianIdentificationSequence() [1/2]

DRTReferringPhysicianIdentificationSequence & DRTStructureSetIOD::getReferringPhysicianIdentificationSequence | ( |  | ) |

inline

get ReferringPhysicianIdentificationSequence (0008,0096)

Returns
  reference to sequence element

References ReferringPhysicianIdentificationSequence.

## getReferringPhysicianIdentificationSequence() [2/2]

const DRTReferringPhysicianIdentificationSequence & DRTStructureSetIOD::getReferringPhysicianIdentificationSequence | ( |  | ) | const

inline

get ReferringPhysicianIdentificationSequence (0008,0096)

Returns
  const reference to sequence element

References ReferringPhysicianIdentificationSequence.

## getReferringPhysicianName()

virtual OFCondition DRTStructureSetIOD::getReferringPhysicianName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ReferringPhysicianName (0008,0090)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getRelatedGeneralSOPClassUID()

virtual OFCondition DRTStructureSetIOD::getRelatedGeneralSOPClassUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get RelatedGeneralSOPClassUID (0008,001a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getRequestAttributesSequence() [1/2]

DRTRequestAttributesSequence & DRTStructureSetIOD::getRequestAttributesSequence | ( |  | ) |

inline

get RequestAttributesSequence (0040,0275)

Returns
  reference to sequence element

References RequestAttributesSequence.

## getRequestAttributesSequence() [2/2]

const DRTRequestAttributesSequence & DRTStructureSetIOD::getRequestAttributesSequence | ( |  | ) | const

inline

get RequestAttributesSequence (0040,0275)

Returns
  const reference to sequence element

References RequestAttributesSequence.

## getRequestingService()

virtual OFCondition DRTStructureSetIOD::getRequestingService | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get RequestingService (0032,1033)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getRequestingServiceCodeSequence() [1/2]

DRTRequestingServiceCodeSequence & DRTStructureSetIOD::getRequestingServiceCodeSequence | ( |  | ) |

inline

get RequestingServiceCodeSequence (0032,1034)

Returns
  reference to sequence element

References RequestingServiceCodeSequence.

## getRequestingServiceCodeSequence() [2/2]

const DRTRequestingServiceCodeSequence & DRTStructureSetIOD::getRequestingServiceCodeSequence | ( |  | ) | const

inline

get RequestingServiceCodeSequence (0032,1034)

Returns
  const reference to sequence element

References RequestingServiceCodeSequence.

## getResponsibleOrganization()

virtual OFCondition DRTStructureSetIOD::getResponsibleOrganization | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ResponsibleOrganization (0010,2299)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getResponsiblePerson()

virtual OFCondition DRTStructureSetIOD::getResponsiblePerson | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ResponsiblePerson (0010,2297)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getResponsiblePersonRole()

virtual OFCondition DRTStructureSetIOD::getResponsiblePersonRole | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ResponsiblePersonRole (0010,2298)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getReviewDate()

virtual OFCondition DRTStructureSetIOD::getReviewDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ReviewDate (300e,0004)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getReviewerName()

virtual OFCondition DRTStructureSetIOD::getReviewerName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ReviewerName (300e,0008)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getReviewTime()

virtual OFCondition DRTStructureSetIOD::getReviewTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ReviewTime (300e,0005)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getROIContourSequence() [1/2]

DRTROIContourSequence & DRTStructureSetIOD::getROIContourSequence | ( |  | ) |

inline

get ROIContourSequence (3006,0039)

Returns
  reference to sequence element

References ROIContourSequence.

## getROIContourSequence() [2/2]

const DRTROIContourSequence & DRTStructureSetIOD::getROIContourSequence | ( |  | ) | const

inline

get ROIContourSequence (3006,0039)

Returns
  const reference to sequence element

References ROIContourSequence.

## getRTROIObservationsSequence() [1/2]

DRTRTROIObservationsSequence & DRTStructureSetIOD::getRTROIObservationsSequence | ( |  | ) |

inline

get RTROIObservationsSequence (3006,0080)

Returns
  reference to sequence element

References RTROIObservationsSequence.

## getRTROIObservationsSequence() [2/2]

const DRTRTROIObservationsSequence & DRTStructureSetIOD::getRTROIObservationsSequence | ( |  | ) | const

inline

get RTROIObservationsSequence (3006,0080)

Returns
  const reference to sequence element

References RTROIObservationsSequence.

## getSeriesDate()

virtual OFCondition DRTStructureSetIOD::getSeriesDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get SeriesDate (0008,0021)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSeriesDescription()

virtual OFCondition DRTStructureSetIOD::getSeriesDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get SeriesDescription (0008,103e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSeriesDescriptionCodeSequence() [1/2]

DRTSeriesDescriptionCodeSequence & DRTStructureSetIOD::getSeriesDescriptionCodeSequence | ( |  | ) |

inline

get SeriesDescriptionCodeSequence (0008,103f)

Returns
  reference to sequence element

References SeriesDescriptionCodeSequence.

## getSeriesDescriptionCodeSequence() [2/2]

const DRTSeriesDescriptionCodeSequence & DRTStructureSetIOD::getSeriesDescriptionCodeSequence | ( |  | ) | const

inline

get SeriesDescriptionCodeSequence (0008,103f)

Returns
  const reference to sequence element

References SeriesDescriptionCodeSequence.

## getSeriesInstanceUID()

virtual OFCondition DRTStructureSetIOD::getSeriesInstanceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get SeriesInstanceUID (0020,000e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSeriesNumber() [1/2]

virtual OFCondition DRTStructureSetIOD::getSeriesNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get SeriesNumber (0020,0011)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSeriesNumber() [2/2]

virtual OFCondition DRTStructureSetIOD::getSeriesNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

virtual

get SeriesNumber (0020,0011)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getSeriesTime()

virtual OFCondition DRTStructureSetIOD::getSeriesTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get SeriesTime (0008,0031)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getServiceEpisodeDescription()

virtual OFCondition DRTStructureSetIOD::getServiceEpisodeDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ServiceEpisodeDescription (0038,0062)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getServiceEpisodeID()

virtual OFCondition DRTStructureSetIOD::getServiceEpisodeID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get ServiceEpisodeID (0038,0060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSmokingStatus()

virtual OFCondition DRTStructureSetIOD::getSmokingStatus | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get SmokingStatus (0010,21a0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSoftwareVersions()

virtual OFCondition DRTStructureSetIOD::getSoftwareVersions | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get SoftwareVersions (0018,1020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSOPAuthorizationComment()

virtual OFCondition DRTStructureSetIOD::getSOPAuthorizationComment | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get SOPAuthorizationComment (0100,0424)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSOPAuthorizationDateTime()

virtual OFCondition DRTStructureSetIOD::getSOPAuthorizationDateTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get SOPAuthorizationDateTime (0100,0420)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSOPClassUID()

virtual OFCondition DRTStructureSetIOD::getSOPClassUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get SOPClassUID (0008,0016)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSOPInstanceStatus()

virtual OFCondition DRTStructureSetIOD::getSOPInstanceStatus | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get SOPInstanceStatus (0100,0410)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSOPInstanceUID()

virtual OFCondition DRTStructureSetIOD::getSOPInstanceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get SOPInstanceUID (0008,0018)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSourceImageSequence() [1/2]

DRTSourceImageSequence & DRTStructureSetIOD::getSourceImageSequence | ( |  | ) |

inline

get SourceImageSequence (0008,2112)

Returns
  reference to sequence element

References SourceImageSequence.

## getSourceImageSequence() [2/2]

const DRTSourceImageSequence & DRTStructureSetIOD::getSourceImageSequence | ( |  | ) | const

inline

get SourceImageSequence (0008,2112)

Returns
  const reference to sequence element

References SourceImageSequence.

## getSourceInstanceSequence() [1/2]

DRTSourceInstanceSequence & DRTStructureSetIOD::getSourceInstanceSequence | ( |  | ) |

inline

get SourceInstanceSequence (0042,0013)

Returns
  reference to sequence element

References SourceInstanceSequence.

## getSourceInstanceSequence() [2/2]

const DRTSourceInstanceSequence & DRTStructureSetIOD::getSourceInstanceSequence | ( |  | ) | const

inline

get SourceInstanceSequence (0042,0013)

Returns
  const reference to sequence element

References SourceInstanceSequence.

## getSourcePatientGroupIdentificationSequence() [1/2]

DRTSourcePatientGroupIdentificationSequence & DRTStructureSetIOD::getSourcePatientGroupIdentificationSequence | ( |  | ) |

inline

get SourcePatientGroupIdentificationSequence (0010,0026)

Returns
  reference to sequence element

References SourcePatientGroupIdentificationSequence.

## getSourcePatientGroupIdentificationSequence() [2/2]

const DRTSourcePatientGroupIdentificationSequence & DRTStructureSetIOD::getSourcePatientGroupIdentificationSequence | ( |  | ) | const

inline

get SourcePatientGroupIdentificationSequence (0010,0026)

Returns
  const reference to sequence element

References SourcePatientGroupIdentificationSequence.

## getSpatialResolution() [1/2]

virtual OFCondition DRTStructureSetIOD::getSpatialResolution | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

virtual

get SpatialResolution (0018,1050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getSpatialResolution() [2/2]

virtual OFCondition DRTStructureSetIOD::getSpatialResolution | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get SpatialResolution (0018,1050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getSpecificCharacterSet()

virtual OFCondition DRTStructureSetIOD::getSpecificCharacterSet | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get SpecificCharacterSet (0008,0005)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStationName()

virtual OFCondition DRTStructureSetIOD::getStationName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get StationName (0008,1010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStrainAdditionalInformation()

virtual OFCondition DRTStructureSetIOD::getStrainAdditionalInformation | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get StrainAdditionalInformation (0010,0218)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStrainCodeSequence() [1/2]

DRTStrainCodeSequence & DRTStructureSetIOD::getStrainCodeSequence | ( |  | ) |

inline

get StrainCodeSequence (0010,0219)

Returns
  reference to sequence element

References StrainCodeSequence.

## getStrainCodeSequence() [2/2]

const DRTStrainCodeSequence & DRTStructureSetIOD::getStrainCodeSequence | ( |  | ) | const

inline

get StrainCodeSequence (0010,0219)

Returns
  const reference to sequence element

References StrainCodeSequence.

## getStrainDescription()

virtual OFCondition DRTStructureSetIOD::getStrainDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get StrainDescription (0010,0212)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStrainNomenclature()

virtual OFCondition DRTStructureSetIOD::getStrainNomenclature | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get StrainNomenclature (0010,0213)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStrainStockSequence() [1/2]

DRTStrainStockSequence & DRTStructureSetIOD::getStrainStockSequence | ( |  | ) |

inline

get StrainStockSequence (0010,0216)

Returns
  reference to sequence element

References StrainStockSequence.

## getStrainStockSequence() [2/2]

const DRTStrainStockSequence & DRTStructureSetIOD::getStrainStockSequence | ( |  | ) | const

inline

get StrainStockSequence (0010,0216)

Returns
  const reference to sequence element

References StrainStockSequence.

## getStructureSetDate()

virtual OFCondition DRTStructureSetIOD::getStructureSetDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get StructureSetDate (3006,0008)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStructureSetDescription()

virtual OFCondition DRTStructureSetIOD::getStructureSetDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get StructureSetDescription (3006,0006)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStructureSetLabel()

virtual OFCondition DRTStructureSetIOD::getStructureSetLabel | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get StructureSetLabel (3006,0002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStructureSetName()

virtual OFCondition DRTStructureSetIOD::getStructureSetName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get StructureSetName (3006,0004)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStructureSetROISequence() [1/2]

DRTStructureSetROISequence & DRTStructureSetIOD::getStructureSetROISequence | ( |  | ) |

inline

get StructureSetROISequence (3006,0020)

Returns
  reference to sequence element

References StructureSetROISequence.

## getStructureSetROISequence() [2/2]

const DRTStructureSetROISequence & DRTStructureSetIOD::getStructureSetROISequence | ( |  | ) | const

inline

get StructureSetROISequence (3006,0020)

Returns
  const reference to sequence element

References StructureSetROISequence.

## getStructureSetTime()

virtual OFCondition DRTStructureSetIOD::getStructureSetTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get StructureSetTime (3006,0009)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStudiesContainingOtherReferencedInstancesSequence() [1/2]

DRTStudiesContainingOtherReferencedInstancesSequence & DRTStructureSetIOD::getStudiesContainingOtherReferencedInstancesSequence | ( |  | ) |

inline

get StudiesContainingOtherReferencedInstancesSequence (0008,1200)

Returns
  reference to sequence element

References StudiesContainingOtherReferencedInstancesSequence.

## getStudiesContainingOtherReferencedInstancesSequence() [2/2]

const DRTStudiesContainingOtherReferencedInstancesSequence & DRTStructureSetIOD::getStudiesContainingOtherReferencedInstancesSequence | ( |  | ) | const

inline

get StudiesContainingOtherReferencedInstancesSequence (0008,1200)

Returns
  const reference to sequence element

References StudiesContainingOtherReferencedInstancesSequence.

## getStudyDate()

virtual OFCondition DRTStructureSetIOD::getStudyDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get StudyDate (0008,0020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStudyDescription()

virtual OFCondition DRTStructureSetIOD::getStudyDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get StudyDescription (0008,1030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStudyID()

virtual OFCondition DRTStructureSetIOD::getStudyID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get StudyID (0020,0010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStudyInstanceUID()

virtual OFCondition DRTStructureSetIOD::getStudyInstanceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get StudyInstanceUID (0020,000d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getStudyTime()

virtual OFCondition DRTStructureSetIOD::getStudyTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get StudyTime (0008,0030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTimeOfLastCalibration()

virtual OFCondition DRTStructureSetIOD::getTimeOfLastCalibration | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get TimeOfLastCalibration (0018,1201)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTimezoneOffsetFromUTC()

virtual OFCondition DRTStructureSetIOD::getTimezoneOffsetFromUTC | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get TimezoneOffsetFromUTC (0008,0201)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTreatmentSessionUID()

virtual OFCondition DRTStructureSetIOD::getTreatmentSessionUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get TreatmentSessionUID (300a,0700)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTypeOfPatientID()

virtual OFCondition DRTStructureSetIOD::getTypeOfPatientID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

virtual

get TypeOfPatientID (0010,0022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getUDISequence() [1/2]

DRTUDISequence & DRTStructureSetIOD::getUDISequence | ( |  | ) |

inline

get UDISequence (0018,100a)

Returns
  reference to sequence element

References UDISequence.

## getUDISequence() [2/2]

const DRTUDISequence & DRTStructureSetIOD::getUDISequence | ( |  | ) | const

inline

get UDISequence (0018,100a)

Returns
  const reference to sequence element

References UDISequence.

## isApprovalModulePresent()

virtual OFBool DRTStructureSetIOD::isApprovalModulePresent | ( | const OFBool | complete = OFFalse | ) |

virtual

check whether ApprovalModule (U) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## isClinicalTrialSeriesModulePresent()

virtual OFBool DRTStructureSetIOD::isClinicalTrialSeriesModulePresent | ( | const OFBool | complete = OFFalse | ) |

virtual

check whether ClinicalTrialSeriesModule (U) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## isClinicalTrialStudyModulePresent()

virtual OFBool DRTStructureSetIOD::isClinicalTrialStudyModulePresent | ( | const OFBool | complete = OFFalse | ) |

virtual

check whether ClinicalTrialStudyModule (U) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## isClinicalTrialSubjectModulePresent()

virtual OFBool DRTStructureSetIOD::isClinicalTrialSubjectModulePresent | ( | const OFBool | complete = OFFalse | ) |

virtual

check whether ClinicalTrialSubjectModule (U) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## isCommonInstanceReferenceModulePresent()

virtual OFBool DRTStructureSetIOD::isCommonInstanceReferenceModulePresent | ( | const OFBool | complete = OFFalse | ) |

virtual

check whether CommonInstanceReferenceModule (U) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## isFrameOfReferenceModulePresent()

virtual OFBool DRTStructureSetIOD::isFrameOfReferenceModulePresent | ( | const OFBool | complete = OFFalse | ) |

virtual

check whether FrameOfReferenceModule (U) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## isGeneralReferenceModulePresent()

virtual OFBool DRTStructureSetIOD::isGeneralReferenceModulePresent | ( | const OFBool | complete = OFFalse | ) |

virtual

check whether GeneralReferenceModule (U) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## isPatientStudyModulePresent()

virtual OFBool DRTStructureSetIOD::isPatientStudyModulePresent | ( | const OFBool | complete = OFFalse | ) |

virtual

check whether PatientStudyModule (U) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## isValid()

virtual OFBool DRTStructureSetIOD::isValid | ( |  | ) |

virtual

check whether the current internal state is valid

Returns
  OFTrue if valid, OFFalse otherwise

## operator=()

DRTStructureSetIOD & DRTStructureSetIOD::operator= | ( | const DRTStructureSetIOD & | copy | ) |

assignment operator

Parameters

  copy | IOD object to be copied

Returns
  reference to this object

References DRTStructureSetIOD().

## read()

virtual OFCondition DRTStructureSetIOD::read | ( | DcmItem & | dataset | ) |

virtual

read object from dataset

Parameters

  dataset | reference to DICOM dataset from which the object should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## readPatientData()

virtual OFCondition DRTStructureSetIOD::readPatientData | ( | DcmItem & | dataset | ) |

virtual

read PatientData from dataset

Parameters

  dataset | reference to DICOM dataset from which the data should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## readSeriesData()

virtual OFCondition DRTStructureSetIOD::readSeriesData | ( | DcmItem & | dataset | ) |

virtual

read SeriesData from dataset.

Also reads PatientData, StudyData.

Parameters

  dataset | reference to DICOM dataset from which the data should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## readStudyData()

virtual OFCondition DRTStructureSetIOD::readStudyData | ( | DcmItem & | dataset | ) |

virtual

read StudyData from dataset.

Also reads PatientData.

Parameters

  dataset | reference to DICOM dataset from which the data should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setAccessionNumber()

virtual OFCondition DRTStructureSetIOD::setAccessionNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set AccessionNumber (0008,0050)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setAdditionalPatientHistory()

virtual OFCondition DRTStructureSetIOD::setAdditionalPatientHistory | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set AdditionalPatientHistory (0010,21b0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setAdmissionID()

virtual OFCondition DRTStructureSetIOD::setAdmissionID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set AdmissionID (0038,0010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setAdmittingDiagnosesDescription()

virtual OFCondition DRTStructureSetIOD::setAdmittingDiagnosesDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set AdmittingDiagnosesDescription (0008,1080)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setAllergies()

virtual OFCondition DRTStructureSetIOD::setAllergies | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set Allergies (0010,2110)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setApprovalStatus()

virtual OFCondition DRTStructureSetIOD::setApprovalStatus | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ApprovalStatus (300e,0002)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setAuthorizationEquipmentCertificationNumber()

virtual OFCondition DRTStructureSetIOD::setAuthorizationEquipmentCertificationNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set AuthorizationEquipmentCertificationNumber (0100,0426)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setBarcodeValue()

virtual OFCondition DRTStructureSetIOD::setBarcodeValue | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set BarcodeValue (2200,0005)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setClinicalTrialCoordinatingCenterName()

virtual OFCondition DRTStructureSetIOD::setClinicalTrialCoordinatingCenterName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ClinicalTrialCoordinatingCenterName (0012,0060)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setClinicalTrialProtocolEthicsCommitteeApprovalNumber()

virtual OFCondition DRTStructureSetIOD::setClinicalTrialProtocolEthicsCommitteeApprovalNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ClinicalTrialProtocolEthicsCommitteeApprovalNumber (0012,0082)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setClinicalTrialProtocolEthicsCommitteeName()

virtual OFCondition DRTStructureSetIOD::setClinicalTrialProtocolEthicsCommitteeName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ClinicalTrialProtocolEthicsCommitteeName (0012,0081)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setClinicalTrialProtocolID()

virtual OFCondition DRTStructureSetIOD::setClinicalTrialProtocolID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ClinicalTrialProtocolID (0012,0020)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setClinicalTrialProtocolName()

virtual OFCondition DRTStructureSetIOD::setClinicalTrialProtocolName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ClinicalTrialProtocolName (0012,0021)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setClinicalTrialSeriesDescription()

virtual OFCondition DRTStructureSetIOD::setClinicalTrialSeriesDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ClinicalTrialSeriesDescription (0012,0072)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setClinicalTrialSeriesID()

virtual OFCondition DRTStructureSetIOD::setClinicalTrialSeriesID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ClinicalTrialSeriesID (0012,0071)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setClinicalTrialSiteID()

virtual OFCondition DRTStructureSetIOD::setClinicalTrialSiteID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ClinicalTrialSiteID (0012,0030)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setClinicalTrialSiteName()

virtual OFCondition DRTStructureSetIOD::setClinicalTrialSiteName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ClinicalTrialSiteName (0012,0031)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setClinicalTrialSponsorName()

virtual OFCondition DRTStructureSetIOD::setClinicalTrialSponsorName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ClinicalTrialSponsorName (0012,0010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setClinicalTrialSubjectID()

virtual OFCondition DRTStructureSetIOD::setClinicalTrialSubjectID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ClinicalTrialSubjectID (0012,0040)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setClinicalTrialSubjectReadingID()

virtual OFCondition DRTStructureSetIOD::setClinicalTrialSubjectReadingID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ClinicalTrialSubjectReadingID (0012,0042)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setClinicalTrialTimePointDescription()

virtual OFCondition DRTStructureSetIOD::setClinicalTrialTimePointDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ClinicalTrialTimePointDescription (0012,0051)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setClinicalTrialTimePointID()

virtual OFCondition DRTStructureSetIOD::setClinicalTrialTimePointID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ClinicalTrialTimePointID (0012,0050)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setCommentsOnThePerformedProcedureStep()

virtual OFCondition DRTStructureSetIOD::setCommentsOnThePerformedProcedureStep | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set CommentsOnThePerformedProcedureStep (0040,0280)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setConsultingPhysicianName()

virtual OFCondition DRTStructureSetIOD::setConsultingPhysicianName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ConsultingPhysicianName (0008,009c)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setContentQualification()

virtual OFCondition DRTStructureSetIOD::setContentQualification | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ContentQualification (0018,9004)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDateOfLastCalibration()

virtual OFCondition DRTStructureSetIOD::setDateOfLastCalibration | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set DateOfLastCalibration (0018,1200)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDeidentificationMethod()

virtual OFCondition DRTStructureSetIOD::setDeidentificationMethod | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set DeidentificationMethod (0012,0063)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDerivationDescription()

virtual OFCondition DRTStructureSetIOD::setDerivationDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set DerivationDescription (0008,2111)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDeviceSerialNumber()

virtual OFCondition DRTStructureSetIOD::setDeviceSerialNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set DeviceSerialNumber (0018,1000)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDeviceUID()

virtual OFCondition DRTStructureSetIOD::setDeviceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set DeviceUID (0018,1002)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setEthnicGroup()

virtual OFCondition DRTStructureSetIOD::setEthnicGroup | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set EthnicGroup (0010,2160)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setFrameOfReferenceUID()

virtual OFCondition DRTStructureSetIOD::setFrameOfReferenceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set FrameOfReferenceUID (0020,0052)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setGantryID()

virtual OFCondition DRTStructureSetIOD::setGantryID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set GantryID (0018,1008)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setInstanceCoercionDateTime()

virtual OFCondition DRTStructureSetIOD::setInstanceCoercionDateTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set InstanceCoercionDateTime (0008,0015)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setInstanceCreationDate()

virtual OFCondition DRTStructureSetIOD::setInstanceCreationDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set InstanceCreationDate (0008,0012)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setInstanceCreationTime()

virtual OFCondition DRTStructureSetIOD::setInstanceCreationTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set InstanceCreationTime (0008,0013)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setInstanceCreatorUID()

virtual OFCondition DRTStructureSetIOD::setInstanceCreatorUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set InstanceCreatorUID (0008,0014)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setInstanceNumber()

virtual OFCondition DRTStructureSetIOD::setInstanceNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set InstanceNumber (0020,0013)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setInstanceOriginStatus()

virtual OFCondition DRTStructureSetIOD::setInstanceOriginStatus | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set InstanceOriginStatus (0400,0600)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setInstitutionAddress()

virtual OFCondition DRTStructureSetIOD::setInstitutionAddress | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set InstitutionAddress (0008,0081)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setInstitutionalDepartmentName()

virtual OFCondition DRTStructureSetIOD::setInstitutionalDepartmentName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set InstitutionalDepartmentName (0008,1040)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setInstitutionName()

virtual OFCondition DRTStructureSetIOD::setInstitutionName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set InstitutionName (0008,0080)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setIssuerOfPatientID()

virtual OFCondition DRTStructureSetIOD::setIssuerOfPatientID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set IssuerOfPatientID (0010,0021)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setLastMenstrualDate()

virtual OFCondition DRTStructureSetIOD::setLastMenstrualDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set LastMenstrualDate (0010,21d0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setLongitudinalTemporalEventType()

virtual OFCondition DRTStructureSetIOD::setLongitudinalTemporalEventType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set LongitudinalTemporalEventType (0012,0053)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setLongitudinalTemporalInformationModified()

virtual OFCondition DRTStructureSetIOD::setLongitudinalTemporalInformationModified | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set LongitudinalTemporalInformationModified (0028,0303)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setLongitudinalTemporalOffsetFromEvent()

virtual OFCondition DRTStructureSetIOD::setLongitudinalTemporalOffsetFromEvent | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )

virtual

set LongitudinalTemporalOffsetFromEvent (0012,0052)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setManufacturer()

virtual OFCondition DRTStructureSetIOD::setManufacturer | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set Manufacturer (0008,0070)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setManufacturerDeviceClassUID()

virtual OFCondition DRTStructureSetIOD::setManufacturerDeviceClassUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ManufacturerDeviceClassUID (0018,100b)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setManufacturerModelName()

virtual OFCondition DRTStructureSetIOD::setManufacturerModelName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ManufacturerModelName (0008,1090)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setMeasuredAPDimension()

virtual OFCondition DRTStructureSetIOD::setMeasuredAPDimension | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set MeasuredAPDimension (0010,1023)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setMeasuredLateralDimension()

virtual OFCondition DRTStructureSetIOD::setMeasuredLateralDimension | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set MeasuredLateralDimension (0010,1024)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setMedicalAlerts()

virtual OFCondition DRTStructureSetIOD::setMedicalAlerts | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set MedicalAlerts (0010,2000)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setModality()

virtual OFCondition DRTStructureSetIOD::setModality | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set Modality (0008,0060)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setNameOfPhysiciansReadingStudy()

virtual OFCondition DRTStructureSetIOD::setNameOfPhysiciansReadingStudy | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set NameOfPhysiciansReadingStudy (0008,1060)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setOccupation()

virtual OFCondition DRTStructureSetIOD::setOccupation | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set Occupation (0010,2180)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setOperatorsName()

virtual OFCondition DRTStructureSetIOD::setOperatorsName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set OperatorsName (0008,1070)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setOriginalSpecializedSOPClassUID()

virtual OFCondition DRTStructureSetIOD::setOriginalSpecializedSOPClassUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set OriginalSpecializedSOPClassUID (0008,001b)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setOtherPatientNames()

virtual OFCondition DRTStructureSetIOD::setOtherPatientNames | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set OtherPatientNames (0010,1001)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientAge()

virtual OFCondition DRTStructureSetIOD::setPatientAge | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientAge (0010,1010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (AS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientAlternativeCalendar()

virtual OFCondition DRTStructureSetIOD::setPatientAlternativeCalendar | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientAlternativeCalendar (0010,0035)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientBirthDate()

virtual OFCondition DRTStructureSetIOD::setPatientBirthDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientBirthDate (0010,0030)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientBirthDateInAlternativeCalendar()

virtual OFCondition DRTStructureSetIOD::setPatientBirthDateInAlternativeCalendar | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientBirthDateInAlternativeCalendar (0010,0033)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientBirthTime()

virtual OFCondition DRTStructureSetIOD::setPatientBirthTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientBirthTime (0010,0032)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientBodyMassIndex()

virtual OFCondition DRTStructureSetIOD::setPatientBodyMassIndex | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientBodyMassIndex (0010,1022)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientBreedDescription()

virtual OFCondition DRTStructureSetIOD::setPatientBreedDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientBreedDescription (0010,2292)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientComments()

virtual OFCondition DRTStructureSetIOD::setPatientComments | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientComments (0010,4000)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientDeathDateInAlternativeCalendar()

virtual OFCondition DRTStructureSetIOD::setPatientDeathDateInAlternativeCalendar | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientDeathDateInAlternativeCalendar (0010,0034)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientID()

virtual OFCondition DRTStructureSetIOD::setPatientID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientID (0010,0020)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientIdentityRemoved()

virtual OFCondition DRTStructureSetIOD::setPatientIdentityRemoved | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientIdentityRemoved (0012,0062)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientName()

virtual OFCondition DRTStructureSetIOD::setPatientName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientName (0010,0010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientSex()

virtual OFCondition DRTStructureSetIOD::setPatientSex | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientSex (0010,0040)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientSexNeutered()

virtual OFCondition DRTStructureSetIOD::setPatientSexNeutered | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientSexNeutered (0010,2203)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientSize()

virtual OFCondition DRTStructureSetIOD::setPatientSize | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientSize (0010,1020)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientSpeciesDescription()

virtual OFCondition DRTStructureSetIOD::setPatientSpeciesDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientSpeciesDescription (0010,2201)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientState()

virtual OFCondition DRTStructureSetIOD::setPatientState | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientState (0038,0500)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPatientWeight()

virtual OFCondition DRTStructureSetIOD::setPatientWeight | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PatientWeight (0010,1030)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPerformedProcedureStepDescription()

virtual OFCondition DRTStructureSetIOD::setPerformedProcedureStepDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PerformedProcedureStepDescription (0040,0254)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPerformedProcedureStepEndDate()

virtual OFCondition DRTStructureSetIOD::setPerformedProcedureStepEndDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PerformedProcedureStepEndDate (0040,0250)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPerformedProcedureStepEndTime()

virtual OFCondition DRTStructureSetIOD::setPerformedProcedureStepEndTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PerformedProcedureStepEndTime (0040,0251)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPerformedProcedureStepID()

virtual OFCondition DRTStructureSetIOD::setPerformedProcedureStepID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PerformedProcedureStepID (0040,0253)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPerformedProcedureStepStartDate()

virtual OFCondition DRTStructureSetIOD::setPerformedProcedureStepStartDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PerformedProcedureStepStartDate (0040,0244)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPerformedProcedureStepStartTime()

virtual OFCondition DRTStructureSetIOD::setPerformedProcedureStepStartTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PerformedProcedureStepStartTime (0040,0245)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPhysiciansOfRecord()

virtual OFCondition DRTStructureSetIOD::setPhysiciansOfRecord | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PhysiciansOfRecord (0008,1048)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPixelPaddingValue()

virtual OFCondition DRTStructureSetIOD::setPixelPaddingValue | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

virtual

set PixelPaddingValue (0028,0120)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setPositionReferenceIndicator()

virtual OFCondition DRTStructureSetIOD::setPositionReferenceIndicator | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set PositionReferenceIndicator (0020,1040)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setPregnancyStatus()

virtual OFCondition DRTStructureSetIOD::setPregnancyStatus | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

virtual

set PregnancyStatus (0010,21c0)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setQualityControlSubject()

virtual OFCondition DRTStructureSetIOD::setQualityControlSubject | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set QualityControlSubject (0010,0200)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setQueryRetrieveView()

virtual OFCondition DRTStructureSetIOD::setQueryRetrieveView | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set QueryRetrieveView (0008,0053)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setReasonForVisit()

virtual OFCondition DRTStructureSetIOD::setReasonForVisit | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ReasonForVisit (0032,1066)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setReferringPhysicianName()

virtual OFCondition DRTStructureSetIOD::setReferringPhysicianName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ReferringPhysicianName (0008,0090)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setRelatedGeneralSOPClassUID()

virtual OFCondition DRTStructureSetIOD::setRelatedGeneralSOPClassUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set RelatedGeneralSOPClassUID (0008,001a)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setRequestingService()

virtual OFCondition DRTStructureSetIOD::setRequestingService | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set RequestingService (0032,1033)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setResponsibleOrganization()

virtual OFCondition DRTStructureSetIOD::setResponsibleOrganization | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ResponsibleOrganization (0010,2299)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setResponsiblePerson()

virtual OFCondition DRTStructureSetIOD::setResponsiblePerson | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ResponsiblePerson (0010,2297)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setResponsiblePersonRole()

virtual OFCondition DRTStructureSetIOD::setResponsiblePersonRole | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ResponsiblePersonRole (0010,2298)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setReviewDate()

virtual OFCondition DRTStructureSetIOD::setReviewDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ReviewDate (300e,0004)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setReviewerName()

virtual OFCondition DRTStructureSetIOD::setReviewerName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ReviewerName (300e,0008)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setReviewTime()

virtual OFCondition DRTStructureSetIOD::setReviewTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ReviewTime (300e,0005)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSeriesDate()

virtual OFCondition DRTStructureSetIOD::setSeriesDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set SeriesDate (0008,0021)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSeriesDescription()

virtual OFCondition DRTStructureSetIOD::setSeriesDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set SeriesDescription (0008,103e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSeriesInstanceUID()

virtual OFCondition DRTStructureSetIOD::setSeriesInstanceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set SeriesInstanceUID (0020,000e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSeriesNumber()

virtual OFCondition DRTStructureSetIOD::setSeriesNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set SeriesNumber (0020,0011)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSeriesTime()

virtual OFCondition DRTStructureSetIOD::setSeriesTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set SeriesTime (0008,0031)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setServiceEpisodeDescription()

virtual OFCondition DRTStructureSetIOD::setServiceEpisodeDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ServiceEpisodeDescription (0038,0062)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setServiceEpisodeID()

virtual OFCondition DRTStructureSetIOD::setServiceEpisodeID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set ServiceEpisodeID (0038,0060)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSmokingStatus()

virtual OFCondition DRTStructureSetIOD::setSmokingStatus | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set SmokingStatus (0010,21a0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSoftwareVersions()

virtual OFCondition DRTStructureSetIOD::setSoftwareVersions | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set SoftwareVersions (0018,1020)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSOPAuthorizationComment()

virtual OFCondition DRTStructureSetIOD::setSOPAuthorizationComment | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set SOPAuthorizationComment (0100,0424)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSOPAuthorizationDateTime()

virtual OFCondition DRTStructureSetIOD::setSOPAuthorizationDateTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set SOPAuthorizationDateTime (0100,0420)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSOPClassUID()

virtual OFCondition DRTStructureSetIOD::setSOPClassUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set SOPClassUID (0008,0016)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSOPInstanceStatus()

virtual OFCondition DRTStructureSetIOD::setSOPInstanceStatus | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set SOPInstanceStatus (0100,0410)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSOPInstanceUID()

virtual OFCondition DRTStructureSetIOD::setSOPInstanceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set SOPInstanceUID (0008,0018)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSpatialResolution()

virtual OFCondition DRTStructureSetIOD::setSpatialResolution | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set SpatialResolution (0018,1050)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setSpecificCharacterSet()

virtual OFCondition DRTStructureSetIOD::setSpecificCharacterSet | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set SpecificCharacterSet (0008,0005)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStationName()

virtual OFCondition DRTStructureSetIOD::setStationName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set StationName (0008,1010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStrainAdditionalInformation()

virtual OFCondition DRTStructureSetIOD::setStrainAdditionalInformation | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set StrainAdditionalInformation (0010,0218)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStrainDescription()

virtual OFCondition DRTStructureSetIOD::setStrainDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set StrainDescription (0010,0212)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UC) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStrainNomenclature()

virtual OFCondition DRTStructureSetIOD::setStrainNomenclature | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set StrainNomenclature (0010,0213)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStructureSetDate()

virtual OFCondition DRTStructureSetIOD::setStructureSetDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set StructureSetDate (3006,0008)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStructureSetDescription()

virtual OFCondition DRTStructureSetIOD::setStructureSetDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set StructureSetDescription (3006,0006)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStructureSetLabel()

virtual OFCondition DRTStructureSetIOD::setStructureSetLabel | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set StructureSetLabel (3006,0002)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStructureSetName()

virtual OFCondition DRTStructureSetIOD::setStructureSetName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set StructureSetName (3006,0004)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStructureSetTime()

virtual OFCondition DRTStructureSetIOD::setStructureSetTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set StructureSetTime (3006,0009)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStudyDate()

virtual OFCondition DRTStructureSetIOD::setStudyDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set StudyDate (0008,0020)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStudyDescription()

virtual OFCondition DRTStructureSetIOD::setStudyDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set StudyDescription (0008,1030)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStudyID()

virtual OFCondition DRTStructureSetIOD::setStudyID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set StudyID (0020,0010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStudyInstanceUID()

virtual OFCondition DRTStructureSetIOD::setStudyInstanceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set StudyInstanceUID (0020,000d)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setStudyTime()

virtual OFCondition DRTStructureSetIOD::setStudyTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set StudyTime (0008,0030)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTimeOfLastCalibration()

virtual OFCondition DRTStructureSetIOD::setTimeOfLastCalibration | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set TimeOfLastCalibration (0018,1201)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTimezoneOffsetFromUTC()

virtual OFCondition DRTStructureSetIOD::setTimezoneOffsetFromUTC | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set TimezoneOffsetFromUTC (0008,0201)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTreatmentSessionUID()

virtual OFCondition DRTStructureSetIOD::setTreatmentSessionUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set TreatmentSessionUID (300a,0700)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTypeOfPatientID()

virtual OFCondition DRTStructureSetIOD::setTypeOfPatientID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

virtual

set TypeOfPatientID (0010,0022)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

virtual OFCondition DRTStructureSetIOD::write | ( | DcmItem & | dataset | ) |

virtual

write object to dataset

Parameters

  dataset | reference to DICOM dataset to which the object should be written

Returns
  status, EC_Normal if successful, an error code otherwise

## Member Data Documentation

## InstanceNumber

DcmIntegerString DRTStructureSetIOD::InstanceNumber

private

InstanceNumber (0020,0013) vr=IS, vm=1, type=3.

- also defined in: SOPCommonModule

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/drtstrct.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0